sidebarNodes={"extras":[{"id":"api-reference","title":"API Reference","group":"","headers":[{"id":"Modules","anchor":"modules"},{"id":"Mix Tasks","anchor":"mix-tasks"}]},{"id":"readme","title":"Antikythera Framework","group":"","headers":[{"id":"Features","anchor":"features"},{"id":"Basic architecture","anchor":"basic-architecture"},{"id":"Getting Started","anchor":"getting-started"},{"id":"Documentation","anchor":"documentation"},{"id":"Contributing","anchor":"contributing"},{"id":"Copyright and License","anchor":"copyright-and-license"}]},{"id":"style_guide","title":"Antikythera Style Guide","group":"","headers":[{"id":"Guidelines","anchor":"guidelines"},{"id":"Alignment","anchor":"alignment"},{"id":"Typespec","anchor":"typespec"},{"id":"Module names","anchor":"module-names"},{"id":"Order of module aliases","anchor":"order-of-module-aliases"},{"id":"Do not abuse import","anchor":"do-not-abuse-import"},{"id":"Function calling syntax","anchor":"function-calling-syntax"},{"id":"Using |&gt; operator","anchor":"using-operator"}]},{"id":"contributing","title":"Contributing Guide","group":"","headers":[{"id":"Surveying and Discussions","anchor":"surveying-and-discussions"},{"id":"Contributing to the antikythera code","anchor":"contributing-to-the-antikythera-code"}]},{"id":"getting_started","title":"Getting Started","group":"Basics","headers":[]},{"id":"development_environment","title":"Development Environment","group":"Basics","headers":[{"id":"Install Compilers and Build Tools","anchor":"install-compilers-and-build-tools"},{"id":"Prepare for Domain-based Routing","anchor":"prepare-for-domain-based-routing"},{"id":"Environment variables to tweak behavior of antikythera","anchor":"environment-variables-to-tweak-behavior-of-antikythera"}]},{"id":"library_dependencies","title":"Dependency Management","group":"Basics","headers":[{"id":"Libraries available from gears","anchor":"libraries-available-from-gears"},{"id":"Specifying other gears as dependencies","anchor":"specifying-other-gears-as-dependencies"},{"id":"Tools","anchor":"tools"}]},{"id":"gear_developers","title":"For Gear Developers","group":"Gear Development","headers":[{"id":"Getting Started Guide","anchor":"getting-started-guide"},{"id":"Setting up your development environment","anchor":"setting-up-your-development-environment"},{"id":"Library dependencies","anchor":"library-dependencies"},{"id":"Automatic deployment","anchor":"automatic-deployment"},{"id":"Web request routing","anchor":"web-request-routing"},{"id":"Gear to gear communication","anchor":"gear-to-gear-communication"},{"id":"Implementing controller action","anchor":"implementing-controller-action"},{"id":"Dynamic HTML generation using templates","anchor":"dynamic-html-generation-using-templates"},{"id":"Implementing websocket server","anchor":"implementing-websocket-server"},{"id":"Asynchronous jobs","anchor":"asynchronous-jobs"},{"id":"Executor pool for controlling computing resources","anchor":"executor-pool-for-controlling-computing-resources"},{"id":"Logging","anchor":"logging"},{"id":"Metrics Reporting","anchor":"metrics-reporting"},{"id":"Alerting","anchor":"alerting"},{"id":"Gear config","anchor":"gear-config"},{"id":"Internationalization","anchor":"internationalization"},{"id":"Testing","anchor":"testing"},{"id":"What gear implementations must not do","anchor":"what-gear-implementations-must-not-do"}]},{"id":"deployment","title":"Deployment to Antikythera Instance","group":"Gear Development","headers":[{"id":"Antikythera’s deployment policy","anchor":"antikythera-s-deployment-policy"},{"id":"Gear’s git repository","anchor":"gear-s-git-repository"},{"id":"Deployment flow","anchor":"deployment-flow"},{"id":"About jenkins job settings","anchor":"about-jenkins-job-settings"},{"id":"Tests executed by jenkins during deploy jobs","anchor":"tests-executed-by-jenkins-during-deploy-jobs"},{"id":"Troubleshoot errors during deploy","anchor":"troubleshoot-errors-during-deploy"}]},{"id":"routing","title":"Web Requests Routing","group":"Gear Development","headers":[{"id":"Domain-based routing to a specific gear","anchor":"domain-based-routing-to-a-specific-gear"},{"id":"Path-based routing to a specific controller action","anchor":"path-based-routing-to-a-specific-controller-action"}]},{"id":"g2g","title":"Gear-to-Gear (g2g) Communication","group":"Gear Development","headers":[{"id":"Avoiding unnecessary body decoding/encoding","anchor":"avoiding-unnecessary-body-decoding-encoding"}]},{"id":"controller","title":"Implementing Controller","group":"Gear Development","headers":[{"id":"Handling errors","anchor":"handling-errors"},{"id":"Response headers","anchor":"response-headers"}]},{"id":"dynamic_html","title":"Templates for Dynamic HTML","group":"Gear Development","headers":[]},{"id":"websocket","title":"Websocket","group":"Gear Development","headers":[{"id":"Implementing websocket-enabled gear","anchor":"implementing-websocket-enabled-gear"},{"id":"Websocket connection process","anchor":"websocket-connection-process"}]},{"id":"async_job","title":"Asynchronous Jobs","group":"Gear Development","headers":[{"id":"Usage example","anchor":"usage-example"}]},{"id":"executor_pool","title":"“Executor Pool” for Resource Management","group":"Gear Development","headers":[{"id":"Purpose","anchor":"purpose"},{"id":"How to choose target executor pool for the given task","anchor":"how-to-choose-target-executor-pool-for-the-given-task"},{"id":"Associations between gears and tenant executor pools","anchor":"associations-between-gears-and-tenant-executor-pools"},{"id":"Managing capacity of executor pools","anchor":"managing-capacity-of-executor-pools"},{"id":"Limits for gear processes","anchor":"limits-for-gear-processes"}]},{"id":"logging","title":"Logging","group":"Gear Development","headers":[{"id":"Auto-generated log messages","anchor":"auto-generated-log-messages"},{"id":"Obtaining log files","anchor":"obtaining-log-files"}]},{"id":"metrics_reporting","title":"Metrics Reporting","group":"Gear Development","headers":[{"id":"Auto-collected metrics","anchor":"auto-collected-metrics"},{"id":"Custom metrics","anchor":"custom-metrics"},{"id":"Metrics search and visualization","anchor":"metrics-search-and-visualization"}]},{"id":"alerting","title":"Alerting","group":"Gear Development","headers":[{"id":"Alert behavior and configurations","anchor":"alert-behavior-and-configurations"}]},{"id":"gear_config","title":"Gear Config","group":"Gear Development","headers":[{"id":"Getting gear config","anchor":"getting-gear-config"},{"id":"Setting gear config","anchor":"setting-gear-config"}]},{"id":"i18n","title":"Internationalization","group":"Gear Development","headers":[{"id":"Preparing translations","anchor":"preparing-translations"},{"id":"Workflow using Gettext mix tasks and macros","anchor":"workflow-using-gettext-mix-tasks-and-macros"},{"id":"Setting locale for each web request","anchor":"setting-locale-for-each-web-request"}]},{"id":"testing","title":"Testing","group":"Gear Development","headers":[{"id":"Libraries","anchor":"libraries"},{"id":"Whitebox/blackbox testing and test modes","anchor":"whitebox-blackbox-testing-and-test-modes"},{"id":"Secret in blackbox testing","anchor":"secret-in-blackbox-testing"}]},{"id":"must_nots","title":"What Gears Must Not Do","group":"Gear Development","headers":[]}],"exceptions":[],"modules":[{"id":"Antikythera.Asset","title":"Antikythera.Asset","group":"","functions":[{"id":"list_asset_file_paths/0","anchor":"list_asset_file_paths/0"},{"id":"retention_days/0","anchor":"retention_days/0"}]},{"id":"Antikythera.AsyncJob","title":"Antikythera.AsyncJob","group":"","callbacks":[{"id":"abandon/3","anchor":"c:abandon/3"},{"id":"inspect_payload/1","anchor":"c:inspect_payload/1"},{"id":"run/3","anchor":"c:run/3"}],"functions":[{"id":"cancel/3","anchor":"cancel/3"},{"id":"list/1","anchor":"list/1"},{"id":"status/2","anchor":"status/2"}],"types":[{"id":"option/0","anchor":"t:option/0"}]},{"id":"Antikythera.AsyncJob.Attempts","title":"Antikythera.AsyncJob.Attempts","group":"","functions":[{"id":"default/0","anchor":"default/0"},{"id":"max/0","anchor":"max/0"},{"id":"min/0","anchor":"min/0"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.AsyncJob.Id","title":"Antikythera.AsyncJob.Id","group":"","functions":[{"id":"generate/0","anchor":"generate/0"},{"id":"pattern/0","anchor":"pattern/0"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.AsyncJob.MaxDuration","title":"Antikythera.AsyncJob.MaxDuration","group":"","functions":[{"id":"default/0","anchor":"default/0"},{"id":"max/0","anchor":"max/0"},{"id":"min/0","anchor":"min/0"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.AsyncJob.Metadata","title":"Antikythera.AsyncJob.Metadata","group":"","functions":[{"id":"attempts/1","anchor":"attempts/1"},{"id":"attempts/2","anchor":"attempts/2"},{"id":"id/1","anchor":"id/1"},{"id":"id/2","anchor":"id/2"},{"id":"max_duration/1","anchor":"max_duration/1"},{"id":"max_duration/2","anchor":"max_duration/2"},{"id":"new/1","anchor":"new/1"},{"id":"new!/1","anchor":"new!/1"},{"id":"remaining_attempts/1","anchor":"remaining_attempts/1"},{"id":"remaining_attempts/2","anchor":"remaining_attempts/2"},{"id":"retry_interval/1","anchor":"retry_interval/1"},{"id":"retry_interval/2","anchor":"retry_interval/2"},{"id":"run_at/1","anchor":"run_at/1"},{"id":"run_at/2","anchor":"run_at/2"},{"id":"update/2","anchor":"update/2"},{"id":"update!/2","anchor":"update!/2"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.AsyncJob.RetryInterval","title":"Antikythera.AsyncJob.RetryInterval","group":"","functions":[{"id":"default/0","anchor":"default/0"},{"id":"interval/2","anchor":"interval/2"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.AsyncJob.RetryInterval.Base","title":"Antikythera.AsyncJob.RetryInterval.Base","group":"","functions":[{"id":"default/0","anchor":"default/0"},{"id":"max/0","anchor":"max/0"},{"id":"min/0","anchor":"min/0"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.AsyncJob.RetryInterval.Factor","title":"Antikythera.AsyncJob.RetryInterval.Factor","group":"","functions":[{"id":"default/0","anchor":"default/0"},{"id":"max/0","anchor":"max/0"},{"id":"min/0","anchor":"min/0"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.AsyncJob.Schedule","title":"Antikythera.AsyncJob.Schedule","group":"","functions":[{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.AsyncJob.StateLabel","title":"Antikythera.AsyncJob.StateLabel","group":"","functions":[{"id":"new/1","anchor":"new/1"},{"id":"new!/1","anchor":"new!/1"},{"id":"valid?/1","anchor":"valid?/1"},{"id":"values/0","anchor":"values/0"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.AsyncJob.Status","title":"Antikythera.AsyncJob.Status","group":"","functions":[{"id":"attempts/1","anchor":"attempts/1"},{"id":"attempts/2","anchor":"attempts/2"},{"id":"gear_name/1","anchor":"gear_name/1"},{"id":"gear_name/2","anchor":"gear_name/2"},{"id":"id/1","anchor":"id/1"},{"id":"id/2","anchor":"id/2"},{"id":"max_duration/1","anchor":"max_duration/1"},{"id":"max_duration/2","anchor":"max_duration/2"},{"id":"module/1","anchor":"module/1"},{"id":"module/2","anchor":"module/2"},{"id":"new/1","anchor":"new/1"},{"id":"new!/1","anchor":"new!/1"},{"id":"payload/1","anchor":"payload/1"},{"id":"payload/2","anchor":"payload/2"},{"id":"remaining_attempts/1","anchor":"remaining_attempts/1"},{"id":"remaining_attempts/2","anchor":"remaining_attempts/2"},{"id":"retry_interval/1","anchor":"retry_interval/1"},{"id":"retry_interval/2","anchor":"retry_interval/2"},{"id":"schedule/1","anchor":"schedule/1"},{"id":"schedule/2","anchor":"schedule/2"},{"id":"start_time/1","anchor":"start_time/1"},{"id":"start_time/2","anchor":"start_time/2"},{"id":"state/1","anchor":"state/1"},{"id":"state/2","anchor":"state/2"},{"id":"update/2","anchor":"update/2"},{"id":"update!/2","anchor":"update!/2"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.CodeUtil","title":"Antikythera.CodeUtil","group":"","functions":[{"id":"doc_by_mfa!/3","anchor":"doc_by_mfa!/3"}]},{"id":"Antikythera.Conn","title":"Antikythera.Conn","group":"","functions":[{"id":"assign/3","anchor":"assign/3"},{"id":"assigns/1","anchor":"assigns/1"},{"id":"assigns/2","anchor":"assigns/2"},{"id":"before_send/1","anchor":"before_send/1"},{"id":"before_send/2","anchor":"before_send/2"},{"id":"clear_session/1","anchor":"clear_session/1"},{"id":"context/1","anchor":"context/1"},{"id":"context/2","anchor":"context/2"},{"id":"delete_session/2","anchor":"delete_session/2"},{"id":"destroy_session/1","anchor":"destroy_session/1"},{"id":"get_flash/2","anchor":"get_flash/2"},{"id":"get_req_cookie/2","anchor":"get_req_cookie/2"},{"id":"get_req_cookies/1","anchor":"get_req_cookies/1"},{"id":"get_req_header/2","anchor":"get_req_header/2"},{"id":"get_req_query/2","anchor":"get_req_query/2"},{"id":"get_session/2","anchor":"get_session/2"},{"id":"json/3","anchor":"json/3"},{"id":"new/1","anchor":"new/1"},{"id":"new!/1","anchor":"new!/1"},{"id":"no_cache/1","anchor":"no_cache/1"},{"id":"put_flash/3","anchor":"put_flash/3"},{"id":"put_resp_body/2","anchor":"put_resp_body/2"},{"id":"put_resp_cookie/4","anchor":"put_resp_cookie/4"},{"id":"put_resp_cookie_to_revoke/2","anchor":"put_resp_cookie_to_revoke/2"},{"id":"put_resp_header/3","anchor":"put_resp_header/3"},{"id":"put_resp_headers/2","anchor":"put_resp_headers/2"},{"id":"put_session/3","anchor":"put_session/3"},{"id":"put_status/2","anchor":"put_status/2"},{"id":"redirect/3","anchor":"redirect/3"},{"id":"register_before_send/2","anchor":"register_before_send/2"},{"id":"render/5","anchor":"render/5"},{"id":"renew_session/1","anchor":"renew_session/1"},{"id":"request/1","anchor":"request/1"},{"id":"request/2","anchor":"request/2"},{"id":"resp_body/1","anchor":"resp_body/1"},{"id":"resp_body/2","anchor":"resp_body/2"},{"id":"resp_cookies/1","anchor":"resp_cookies/1"},{"id":"resp_cookies/2","anchor":"resp_cookies/2"},{"id":"resp_headers/1","anchor":"resp_headers/1"},{"id":"resp_headers/2","anchor":"resp_headers/2"},{"id":"send_priv_file/3","anchor":"send_priv_file/3"},{"id":"status/1","anchor":"status/1"},{"id":"status/2","anchor":"status/2"},{"id":"update/2","anchor":"update/2"},{"id":"update!/2","anchor":"update!/2"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Conn.Assigns","title":"Antikythera.Conn.Assigns","group":"","functions":[{"id":"default/0","anchor":"default/0"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Conn.BeforeSend","title":"Antikythera.Conn.BeforeSend","group":"","functions":[{"id":"default/0","anchor":"default/0"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Context","title":"Antikythera.Context","group":"","functions":[{"id":"context_id/1","anchor":"context_id/1"},{"id":"context_id/2","anchor":"context_id/2"},{"id":"executor_pool_id/1","anchor":"executor_pool_id/1"},{"id":"executor_pool_id/2","anchor":"executor_pool_id/2"},{"id":"gear_entry_point/1","anchor":"gear_entry_point/1"},{"id":"gear_entry_point/2","anchor":"gear_entry_point/2"},{"id":"gear_name/1","anchor":"gear_name/1"},{"id":"gear_name/2","anchor":"gear_name/2"},{"id":"new/1","anchor":"new/1"},{"id":"new!/1","anchor":"new!/1"},{"id":"start_time/1","anchor":"start_time/1"},{"id":"start_time/2","anchor":"start_time/2"},{"id":"update/2","anchor":"update/2"},{"id":"update!/2","anchor":"update!/2"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Context.GearEntryPoint","title":"Antikythera.Context.GearEntryPoint","group":"","functions":[{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.ContextId","title":"Antikythera.ContextId","group":"","functions":[{"id":"pattern/0","anchor":"pattern/0"},{"id":"system_context/0","anchor":"system_context/0"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Controller","title":"Antikythera.Controller","group":""},{"id":"Antikythera.Controller.Plug","title":"Antikythera.Controller.Plug","group":"","functions":[{"id":"plug/4","anchor":"plug/4"}]},{"id":"Antikythera.Cron","title":"Antikythera.Cron","group":"","functions":[{"id":"day_of_month/1","anchor":"day_of_month/1"},{"id":"day_of_month/2","anchor":"day_of_month/2"},{"id":"day_of_week/1","anchor":"day_of_week/1"},{"id":"day_of_week/2","anchor":"day_of_week/2"},{"id":"hour/1","anchor":"hour/1"},{"id":"hour/2","anchor":"hour/2"},{"id":"minute/1","anchor":"minute/1"},{"id":"minute/2","anchor":"minute/2"},{"id":"month/1","anchor":"month/1"},{"id":"month/2","anchor":"month/2"},{"id":"new/1","anchor":"new/1"},{"id":"new!/1","anchor":"new!/1"},{"id":"next/2","anchor":"next/2"},{"id":"next_in_epoch_milliseconds/2","anchor":"next_in_epoch_milliseconds/2"},{"id":"parse/1","anchor":"parse/1"},{"id":"parse!/1","anchor":"parse!/1"},{"id":"source/1","anchor":"source/1"},{"id":"source/2","anchor":"source/2"},{"id":"update/2","anchor":"update/2"},{"id":"update!/2","anchor":"update!/2"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Cron.DayOfMonth","title":"Antikythera.Cron.DayOfMonth","group":"","functions":[{"id":"max/0","anchor":"max/0"},{"id":"min/0","anchor":"min/0"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Cron.DayOfMonth.Int","title":"Antikythera.Cron.DayOfMonth.Int","group":"","functions":[{"id":"max/0","anchor":"max/0"},{"id":"min/0","anchor":"min/0"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Cron.DayOfWeek","title":"Antikythera.Cron.DayOfWeek","group":"","functions":[{"id":"max/0","anchor":"max/0"},{"id":"min/0","anchor":"min/0"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Cron.DayOfWeek.Int","title":"Antikythera.Cron.DayOfWeek.Int","group":"","functions":[{"id":"max/0","anchor":"max/0"},{"id":"min/0","anchor":"min/0"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Cron.Hour","title":"Antikythera.Cron.Hour","group":"","functions":[{"id":"max/0","anchor":"max/0"},{"id":"min/0","anchor":"min/0"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Cron.Hour.Int","title":"Antikythera.Cron.Hour.Int","group":"","functions":[{"id":"max/0","anchor":"max/0"},{"id":"min/0","anchor":"min/0"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Cron.Minute","title":"Antikythera.Cron.Minute","group":"","functions":[{"id":"max/0","anchor":"max/0"},{"id":"min/0","anchor":"min/0"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Cron.Minute.Int","title":"Antikythera.Cron.Minute.Int","group":"","functions":[{"id":"max/0","anchor":"max/0"},{"id":"min/0","anchor":"min/0"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Cron.Month","title":"Antikythera.Cron.Month","group":"","functions":[{"id":"max/0","anchor":"max/0"},{"id":"min/0","anchor":"min/0"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Cron.Month.Int","title":"Antikythera.Cron.Month.Int","group":"","functions":[{"id":"max/0","anchor":"max/0"},{"id":"min/0","anchor":"min/0"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Crypto","title":"Antikythera.Crypto","group":"","functions":[{"id":"secure_compare/2","anchor":"secure_compare/2"}]},{"id":"Antikythera.Crypto.Aes","title":"Antikythera.Crypto.Aes","group":"","functions":[{"id":"ctr128_decrypt/3","anchor":"ctr128_decrypt/3"},{"id":"ctr128_encrypt/3","anchor":"ctr128_encrypt/3"},{"id":"gcm128_decrypt/4","anchor":"gcm128_decrypt/4"},{"id":"gcm128_encrypt/4","anchor":"gcm128_encrypt/4"}],"types":[{"id":"key128/0","anchor":"t:key128/0"}]},{"id":"Antikythera.Domain","title":"Antikythera.Domain","group":"","functions":[{"id":"pattern/0","anchor":"pattern/0"},{"id":"pattern_body/0","anchor":"pattern_body/0"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.DomainList","title":"Antikythera.DomainList","group":"","functions":[{"id":"max_length/0","anchor":"max_length/0"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Email","title":"Antikythera.Email","group":"","functions":[{"id":"pattern/0","anchor":"pattern/0"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.EncodedPath","title":"Antikythera.EncodedPath","group":"","functions":[{"id":"pattern/0","anchor":"pattern/0"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.EnumUtil","title":"Antikythera.EnumUtil","group":"","functions":[{"id":"map_with_context/3","anchor":"map_with_context/3"}],"types":[{"id":"context/0","anchor":"t:context/0"},{"id":"item/0","anchor":"t:item/0"}]},{"id":"Antikythera.Env","title":"Antikythera.Env","group":"","functions":[{"id":"antikythera_instance_name/0","anchor":"antikythera_instance_name/0"},{"id":"compile_env/0","anchor":"compile_env/0"},{"id":"compiling_for_cloud?/0","anchor":"compiling_for_cloud?/0"},{"id":"compiling_for_release?/0","anchor":"compiling_for_release?/0"},{"id":"default_base_url/2","anchor":"default_base_url/2"},{"id":"gear_action_timeout/0","anchor":"gear_action_timeout/0"},{"id":"new/1","anchor":"new/1"},{"id":"new!/1","anchor":"new!/1"},{"id":"no_listen?/0","anchor":"no_listen?/0"},{"id":"port_to_listen/0","anchor":"port_to_listen/0"},{"id":"running_in_cloud?/0","anchor":"running_in_cloud?/0"},{"id":"running_with_release?/0","anchor":"running_with_release?/0"},{"id":"runtime_env/0","anchor":"runtime_env/0"},{"id":"valid?/1","anchor":"valid?/1"},{"id":"values/0","anchor":"values/0"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Env.Mapping","title":"Antikythera.Env.Mapping","group":"","functions":[{"id":"cloud?/1","anchor":"cloud?/1"},{"id":"env_var_to_atom/1","anchor":"env_var_to_atom/1"}]},{"id":"Antikythera.ErrorReason","title":"Antikythera.ErrorReason","group":"","functions":[{"id":"format/2","anchor":"format/2"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"gear_action_error_reason/0","anchor":"t:gear_action_error_reason/0"},{"id":"stack_item/0","anchor":"t:stack_item/0"},{"id":"stacktrace/0","anchor":"t:stacktrace/0"},{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.ExecutorPool.Id","title":"Antikythera.ExecutorPool.Id","group":"","functions":[{"id":"nopool/0","anchor":"nopool/0"},{"id":"to_string/1","anchor":"to_string/1"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"nopool_t/0","anchor":"t:nopool_t/0"},{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.G2gRequest","title":"Antikythera.G2gRequest","group":"","functions":[{"id":"body/1","anchor":"body/1"},{"id":"body/2","anchor":"body/2"},{"id":"cookies/1","anchor":"cookies/1"},{"id":"cookies/2","anchor":"cookies/2"},{"id":"from_web_request/1","anchor":"from_web_request/1"},{"id":"headers/1","anchor":"headers/1"},{"id":"headers/2","anchor":"headers/2"},{"id":"method/1","anchor":"method/1"},{"id":"method/2","anchor":"method/2"},{"id":"new/1","anchor":"new/1"},{"id":"new!/1","anchor":"new!/1"},{"id":"path/1","anchor":"path/1"},{"id":"path/2","anchor":"path/2"},{"id":"query_params/1","anchor":"query_params/1"},{"id":"query_params/2","anchor":"query_params/2"},{"id":"update/2","anchor":"update/2"},{"id":"update!/2","anchor":"update!/2"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.G2gResponse","title":"Antikythera.G2gResponse","group":"","functions":[{"id":"body/1","anchor":"body/1"},{"id":"body/2","anchor":"body/2"},{"id":"cookies/1","anchor":"cookies/1"},{"id":"cookies/2","anchor":"cookies/2"},{"id":"decode_body/1","anchor":"decode_body/1"},{"id":"headers/1","anchor":"headers/1"},{"id":"headers/2","anchor":"headers/2"},{"id":"new/1","anchor":"new/1"},{"id":"new!/1","anchor":"new!/1"},{"id":"status/1","anchor":"status/1"},{"id":"status/2","anchor":"status/2"},{"id":"update/2","anchor":"update/2"},{"id":"update!/2","anchor":"update!/2"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.GearApplication","title":"Antikythera.GearApplication","group":"","callbacks":[{"id":"children/0","anchor":"c:children/0"},{"id":"executor_pool_for_web_request/1","anchor":"c:executor_pool_for_web_request/1"}]},{"id":"Antikythera.GearApplication.AlertManager","title":"Antikythera.GearApplication.AlertManager","group":""},{"id":"Antikythera.GearApplication.ConfigGetter","title":"Antikythera.GearApplication.ConfigGetter","group":""},{"id":"Antikythera.GearApplication.ErrorHandler","title":"Antikythera.GearApplication.ErrorHandler","group":""},{"id":"Antikythera.GearApplication.G2g","title":"Antikythera.GearApplication.G2g","group":""},{"id":"Antikythera.GearApplication.Logger","title":"Antikythera.GearApplication.Logger","group":""},{"id":"Antikythera.GearApplication.MetricsUploader","title":"Antikythera.GearApplication.MetricsUploader","group":""},{"id":"Antikythera.GearName","title":"Antikythera.GearName","group":"","functions":[{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.GearNameStr","title":"Antikythera.GearNameStr","group":"","functions":[{"id":"pattern/0","anchor":"pattern/0"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Gettext","title":"Antikythera.Gettext","group":""},{"id":"Antikythera.Http","title":"Antikythera.Http","group":""},{"id":"Antikythera.Http.Body","title":"Antikythera.Http.Body","group":"","functions":[{"id":"default/0","anchor":"default/0"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Http.Headers","title":"Antikythera.Http.Headers","group":"","functions":[{"id":"default/0","anchor":"default/0"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Http.Method","title":"Antikythera.Http.Method","group":"","functions":[{"id":"all/0","anchor":"all/0"},{"id":"from_string/1","anchor":"from_string/1"},{"id":"new/1","anchor":"new/1"},{"id":"new!/1","anchor":"new!/1"},{"id":"to_string/1","anchor":"to_string/1"},{"id":"valid?/1","anchor":"valid?/1"},{"id":"values/0","anchor":"values/0"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Http.QueryParams","title":"Antikythera.Http.QueryParams","group":"","functions":[{"id":"default/0","anchor":"default/0"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Http.RawBody","title":"Antikythera.Http.RawBody","group":"","functions":[{"id":"default/0","anchor":"default/0"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Http.ReqCookiesMap","title":"Antikythera.Http.ReqCookiesMap","group":"","functions":[{"id":"default/0","anchor":"default/0"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Http.SetCookie","title":"Antikythera.Http.SetCookie","group":"","functions":[{"id":"domain/1","anchor":"domain/1"},{"id":"domain/2","anchor":"domain/2"},{"id":"http_only/1","anchor":"http_only/1"},{"id":"http_only/2","anchor":"http_only/2"},{"id":"max_age/1","anchor":"max_age/1"},{"id":"max_age/2","anchor":"max_age/2"},{"id":"new/1","anchor":"new/1"},{"id":"new!/1","anchor":"new!/1"},{"id":"parse!/1","anchor":"parse!/1"},{"id":"path/1","anchor":"path/1"},{"id":"path/2","anchor":"path/2"},{"id":"secure/1","anchor":"secure/1"},{"id":"secure/2","anchor":"secure/2"},{"id":"update/2","anchor":"update/2"},{"id":"update!/2","anchor":"update!/2"},{"id":"valid?/1","anchor":"valid?/1"},{"id":"value/1","anchor":"value/1"},{"id":"value/2","anchor":"value/2"}],"types":[{"id":"options_t/0","anchor":"t:options_t/0"},{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Http.SetCookiesMap","title":"Antikythera.Http.SetCookiesMap","group":"","functions":[{"id":"default/0","anchor":"default/0"},{"id":"new/1","anchor":"new/1"},{"id":"new!/1","anchor":"new!/1"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Http.Status","title":"Antikythera.Http.Status","group":"","functions":[{"id":"code/1","anchor":"code/1"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Http.Status.Atom","title":"Antikythera.Http.Status.Atom","group":"","functions":[{"id":"new/1","anchor":"new/1"},{"id":"new!/1","anchor":"new!/1"},{"id":"valid?/1","anchor":"valid?/1"},{"id":"values/0","anchor":"values/0"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Http.Status.Int","title":"Antikythera.Http.Status.Int","group":"","functions":[{"id":"max/0","anchor":"max/0"},{"id":"min/0","anchor":"min/0"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Httpc","title":"Antikythera.Httpc","group":"","functions":[{"id":"delete/3","anchor":"delete/3"},{"id":"delete!/3","anchor":"delete!/3"},{"id":"get/3","anchor":"get/3"},{"id":"get!/3","anchor":"get!/3"},{"id":"head/3","anchor":"head/3"},{"id":"head!/3","anchor":"head!/3"},{"id":"options/3","anchor":"options/3"},{"id":"options!/3","anchor":"options!/3"},{"id":"patch/4","anchor":"patch/4"},{"id":"patch!/4","anchor":"patch!/4"},{"id":"post/4","anchor":"post/4"},{"id":"post!/4","anchor":"post!/4"},{"id":"put/4","anchor":"put/4"},{"id":"put!/4","anchor":"put!/4"},{"id":"request/5","anchor":"request/5"},{"id":"request!/5","anchor":"request!/5"}]},{"id":"Antikythera.Httpc.Mockable","title":"Antikythera.Httpc.Mockable","group":"","functions":[{"id":"delete/3","anchor":"delete/3"},{"id":"delete!/3","anchor":"delete!/3"},{"id":"get/3","anchor":"get/3"},{"id":"get!/3","anchor":"get!/3"},{"id":"head/3","anchor":"head/3"},{"id":"head!/3","anchor":"head!/3"},{"id":"options/3","anchor":"options/3"},{"id":"options!/3","anchor":"options!/3"},{"id":"patch/4","anchor":"patch/4"},{"id":"patch!/4","anchor":"patch!/4"},{"id":"post/4","anchor":"post/4"},{"id":"post!/4","anchor":"post!/4"},{"id":"put/4","anchor":"put/4"},{"id":"put!/4","anchor":"put!/4"},{"id":"request/5","anchor":"request/5"},{"id":"request!/5","anchor":"request!/5"}]},{"id":"Antikythera.Httpc.ReqBody","title":"Antikythera.Httpc.ReqBody","group":"","functions":[{"id":"convert_body_and_headers_by_body_type/2","anchor":"convert_body_and_headers_by_body_type/2"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"json_obj/0","anchor":"t:json_obj/0"},{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Httpc.Response","title":"Antikythera.Httpc.Response","group":"","functions":[{"id":"body/1","anchor":"body/1"},{"id":"body/2","anchor":"body/2"},{"id":"cookies/1","anchor":"cookies/1"},{"id":"cookies/2","anchor":"cookies/2"},{"id":"headers/1","anchor":"headers/1"},{"id":"headers/2","anchor":"headers/2"},{"id":"new/1","anchor":"new/1"},{"id":"new!/1","anchor":"new!/1"},{"id":"status/1","anchor":"status/1"},{"id":"status/2","anchor":"status/2"},{"id":"update/2","anchor":"update/2"},{"id":"update!/2","anchor":"update!/2"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.ImfFixdate","title":"Antikythera.ImfFixdate","group":"","functions":[{"id":"pattern/0","anchor":"pattern/0"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.IpAddress","title":"Antikythera.IpAddress","group":""},{"id":"Antikythera.IpAddress.V4","title":"Antikythera.IpAddress.V4","group":"","functions":[{"id":"parse/1","anchor":"parse/1"},{"id":"parse!/1","anchor":"parse!/1"},{"id":"parse_range!/1","anchor":"parse_range!/1"},{"id":"range_include?/2","anchor":"range_include?/2"}],"types":[{"id":"range/0","anchor":"t:range/0"},{"id":"u32/0","anchor":"t:u32/0"}]},{"id":"Antikythera.IpAddress.V6","title":"Antikythera.IpAddress.V6","group":""},{"id":"Antikythera.IsoTimestamp","title":"Antikythera.IsoTimestamp","group":"","functions":[{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.IsoTimestamp.Basic","title":"Antikythera.IsoTimestamp.Basic","group":"","functions":[{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.MacroUtil","title":"Antikythera.MacroUtil","group":"","functions":[{"id":"prewalk_accumulate/3","anchor":"prewalk_accumulate/3"}]},{"id":"Antikythera.MapUtil","title":"Antikythera.MapUtil","group":"","functions":[{"id":"difference/2","anchor":"difference/2"},{"id":"map_values/2","anchor":"map_values/2"},{"id":"update_existing/3","anchor":"update_existing/3"}]},{"id":"Antikythera.Metrics.Data","title":"Antikythera.Metrics.Data","group":"","functions":[{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Metrics.DataList","title":"Antikythera.Metrics.DataList","group":"","functions":[{"id":"min_length/0","anchor":"min_length/0"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.MilliSecondsSinceEpoch","title":"Antikythera.MilliSecondsSinceEpoch","group":"","functions":[{"id":"min/0","anchor":"min/0"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Mix.Task","title":"Antikythera.Mix.Task","group":"","functions":[{"id":"prepare_antikythera_instance/0","anchor":"prepare_antikythera_instance/0"}]},{"id":"Antikythera.NestedMap","title":"Antikythera.NestedMap","group":"","functions":[{"id":"deep_merge/2","anchor":"deep_merge/2"},{"id":"force_update/3","anchor":"force_update/3"},{"id":"update_existing_in/3","anchor":"update_existing_in/3"}]},{"id":"Antikythera.PathInfo","title":"Antikythera.PathInfo","group":"","functions":[{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.PathSegment","title":"Antikythera.PathSegment","group":"","functions":[{"id":"charclass/0","anchor":"charclass/0"},{"id":"pattern/0","anchor":"pattern/0"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Plug.BasicAuthentication","title":"Antikythera.Plug.BasicAuthentication","group":"","functions":[{"id":"check_with_config/2","anchor":"check_with_config/2"},{"id":"check_with_fun/2","anchor":"check_with_fun/2"}]},{"id":"Antikythera.Plug.Flash","title":"Antikythera.Plug.Flash","group":"","functions":[{"id":"load/2","anchor":"load/2"}]},{"id":"Antikythera.Plug.IpFiltering","title":"Antikythera.Plug.IpFiltering","group":"","functions":[{"id":"check_by_gear_config/2","anchor":"check_by_gear_config/2"},{"id":"check_by_static_ranges/2","anchor":"check_by_static_ranges/2"},{"id":"run_check_on_cloud/3","anchor":"run_check_on_cloud/3"}],"types":[{"id":"arg_gear_config/0","anchor":"t:arg_gear_config/0"},{"id":"arg_static/0","anchor":"t:arg_static/0"}]},{"id":"Antikythera.Plug.NoCache","title":"Antikythera.Plug.NoCache","group":"","functions":[{"id":"header_value/0","anchor":"header_value/0"},{"id":"put_resp_header/2","anchor":"put_resp_header/2"}]},{"id":"Antikythera.Plug.Session","title":"Antikythera.Plug.Session","group":"","functions":[{"id":"load/2","anchor":"load/2"}]},{"id":"Antikythera.Registry","title":"Antikythera.Registry","group":"","types":[{"id":"name/0","anchor":"t:name/0"}]},{"id":"Antikythera.Registry.Group","title":"Antikythera.Registry.Group","group":"","functions":[{"id":"join/2","anchor":"join/2"},{"id":"leave/2","anchor":"leave/2"},{"id":"publish/3","anchor":"publish/3"}]},{"id":"Antikythera.Registry.Unique","title":"Antikythera.Registry.Unique","group":"","functions":[{"id":"register/2","anchor":"register/2"},{"id":"send_message/3","anchor":"send_message/3"}]},{"id":"Antikythera.Request","title":"Antikythera.Request","group":"","functions":[{"id":"body/1","anchor":"body/1"},{"id":"body/2","anchor":"body/2"},{"id":"cookies/1","anchor":"cookies/1"},{"id":"cookies/2","anchor":"cookies/2"},{"id":"headers/1","anchor":"headers/1"},{"id":"headers/2","anchor":"headers/2"},{"id":"method/1","anchor":"method/1"},{"id":"method/2","anchor":"method/2"},{"id":"new/1","anchor":"new/1"},{"id":"new!/1","anchor":"new!/1"},{"id":"path_info/1","anchor":"path_info/1"},{"id":"path_info/2","anchor":"path_info/2"},{"id":"path_matches/1","anchor":"path_matches/1"},{"id":"path_matches/2","anchor":"path_matches/2"},{"id":"query_params/1","anchor":"query_params/1"},{"id":"query_params/2","anchor":"query_params/2"},{"id":"raw_body/1","anchor":"raw_body/1"},{"id":"raw_body/2","anchor":"raw_body/2"},{"id":"sender/1","anchor":"sender/1"},{"id":"sender/2","anchor":"sender/2"},{"id":"update/2","anchor":"update/2"},{"id":"update!/2","anchor":"update!/2"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Request.PathMatches","title":"Antikythera.Request.PathMatches","group":"","functions":[{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Request.Sender","title":"Antikythera.Request.Sender","group":"","functions":[{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"sender_ip/0","anchor":"t:sender_ip/0"},{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Router","title":"Antikythera.Router","group":"","functions":[{"id":"connect/4","anchor":"connect/4"},{"id":"delete/4","anchor":"delete/4"},{"id":"fully_qualified_controller_module/3","anchor":"fully_qualified_controller_module/3"},{"id":"get/4","anchor":"get/4"},{"id":"head/4","anchor":"head/4"},{"id":"only_from_gear/1","anchor":"only_from_gear/1"},{"id":"only_from_web/1","anchor":"only_from_web/1"},{"id":"options/4","anchor":"options/4"},{"id":"patch/4","anchor":"patch/4"},{"id":"post/4","anchor":"post/4"},{"id":"put/4","anchor":"put/4"},{"id":"static_prefix/1","anchor":"static_prefix/1"},{"id":"trace/4","anchor":"trace/4"},{"id":"websocket/2","anchor":"websocket/2"}]},{"id":"Antikythera.Router.Impl","title":"Antikythera.Router.Impl","group":"","functions":[{"id":"check_path_pattern/1","anchor":"check_path_pattern/1"},{"id":"generate_route_function_clauses/3","anchor":"generate_route_function_clauses/3"},{"id":"route_clause_body/4","anchor":"route_clause_body/4"}]},{"id":"Antikythera.Router.Reverse","title":"Antikythera.Router.Reverse","group":"","functions":[{"id":"define_path_helper/2","anchor":"define_path_helper/2"},{"id":"make_path/3","anchor":"make_path/3"}]},{"id":"Antikythera.SecondsSinceEpoch","title":"Antikythera.SecondsSinceEpoch","group":"","functions":[{"id":"min/0","anchor":"min/0"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Session","title":"Antikythera.Session","group":"","functions":[{"id":"clear/1","anchor":"clear/1"},{"id":"data/1","anchor":"data/1"},{"id":"data/2","anchor":"data/2"},{"id":"delete/2","anchor":"delete/2"},{"id":"destroy/1","anchor":"destroy/1"},{"id":"get/2","anchor":"get/2"},{"id":"id/1","anchor":"id/1"},{"id":"id/2","anchor":"id/2"},{"id":"new/1","anchor":"new/1"},{"id":"new!/1","anchor":"new!/1"},{"id":"put/3","anchor":"put/3"},{"id":"renew/1","anchor":"renew/1"},{"id":"state/1","anchor":"state/1"},{"id":"state/2","anchor":"state/2"},{"id":"update/2","anchor":"update/2"},{"id":"update!/2","anchor":"update!/2"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Session.Cookie","title":"Antikythera.Session.Cookie","group":""},{"id":"Antikythera.Session.State","title":"Antikythera.Session.State","group":"","functions":[{"id":"new/1","anchor":"new/1"},{"id":"new!/1","anchor":"new!/1"},{"id":"valid?/1","anchor":"valid?/1"},{"id":"values/0","anchor":"values/0"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Session.Store","title":"Antikythera.Session.Store","group":"","callbacks":[{"id":"delete/1","anchor":"c:delete/1"},{"id":"load/1","anchor":"c:load/1"},{"id":"save/2","anchor":"c:save/2"}],"types":[{"id":"session_id/0","anchor":"t:session_id/0"},{"id":"session_kv/0","anchor":"t:session_kv/0"}]},{"id":"Antikythera.StringFormat","title":"Antikythera.StringFormat","group":"","functions":[{"id":"pad2/1","anchor":"pad2/1"},{"id":"pad3/1","anchor":"pad3/1"}]},{"id":"Antikythera.TemplatePrecompiler","title":"Antikythera.TemplatePrecompiler","group":""},{"id":"Antikythera.TemplateSanitizer","title":"Antikythera.TemplateSanitizer","group":"","functions":[{"id":"html_escape/1","anchor":"html_escape/1"},{"id":"raw/1","anchor":"raw/1"}],"types":[{"id":"safe/0","anchor":"t:safe/0"}]},{"id":"Antikythera.TenantId","title":"Antikythera.TenantId","group":"","functions":[{"id":"notenant/0","anchor":"notenant/0"},{"id":"pattern/0","anchor":"pattern/0"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Test.AsyncJobHelper","title":"Antikythera.Test.AsyncJobHelper","group":"","functions":[{"id":"reset_rate_limit_status/1","anchor":"reset_rate_limit_status/1"}]},{"id":"Antikythera.Test.Config","title":"Antikythera.Test.Config","group":"","functions":[{"id":"base_url/0","anchor":"base_url/0"},{"id":"blackbox_test?/0","anchor":"blackbox_test?/0"},{"id":"blackbox_test_secret/0","anchor":"blackbox_test_secret/0"},{"id":"init/0","anchor":"init/0"},{"id":"test_mode/0","anchor":"test_mode/0"}]},{"id":"Antikythera.Test.ConnHelper","title":"Antikythera.Test.ConnHelper","group":"","functions":[{"id":"make_conn/1","anchor":"make_conn/1"}]},{"id":"Antikythera.Test.GearConfigHelper","title":"Antikythera.Test.GearConfigHelper","group":"","functions":[{"id":"set_config/2","anchor":"set_config/2"}]},{"id":"Antikythera.Test.GearLogHelper","title":"Antikythera.Test.GearLogHelper","group":"","functions":[{"id":"set_context_id/1","anchor":"set_context_id/1"}]},{"id":"Antikythera.Test.GenServerHelper","title":"Antikythera.Test.GenServerHelper","group":"","functions":[{"id":"receive_cast_message/0","anchor":"receive_cast_message/0"},{"id":"send_message_and_wait/2","anchor":"send_message_and_wait/2"}]},{"id":"Antikythera.Test.HttpClient","title":"Antikythera.Test.HttpClient","group":""},{"id":"Antikythera.Test.ProcessHelper","title":"Antikythera.Test.ProcessHelper","group":"","functions":[{"id":"flush/0","anchor":"flush/0"},{"id":"monitor_wait/1","anchor":"monitor_wait/1"}]},{"id":"Antikythera.Test.WebsocketClient","title":"Antikythera.Test.WebsocketClient","group":""},{"id":"Antikythera.Time","title":"Antikythera.Time","group":"","functions":[{"id":"diff_milliseconds/2","anchor":"diff_milliseconds/2"},{"id":"from_epoch_milliseconds/1","anchor":"from_epoch_milliseconds/1"},{"id":"from_gregorian_milliseconds/1","anchor":"from_gregorian_milliseconds/1"},{"id":"from_http_date/1","anchor":"from_http_date/1"},{"id":"from_http_date!/1","anchor":"from_http_date!/1"},{"id":"from_iso_basic/1","anchor":"from_iso_basic/1"},{"id":"from_iso_basic!/1","anchor":"from_iso_basic!/1"},{"id":"from_iso_timestamp/1","anchor":"from_iso_timestamp/1"},{"id":"from_iso_timestamp!/1","anchor":"from_iso_timestamp!/1"},{"id":"new/1","anchor":"new/1"},{"id":"now/0","anchor":"now/0"},{"id":"shift_days/2","anchor":"shift_days/2"},{"id":"shift_hours/2","anchor":"shift_hours/2"},{"id":"shift_milliseconds/2","anchor":"shift_milliseconds/2"},{"id":"shift_minutes/2","anchor":"shift_minutes/2"},{"id":"shift_seconds/2","anchor":"shift_seconds/2"},{"id":"to_epoch_milliseconds/1","anchor":"to_epoch_milliseconds/1"},{"id":"to_gregorian_milliseconds/1","anchor":"to_gregorian_milliseconds/1"},{"id":"to_http_date/1","anchor":"to_http_date/1"},{"id":"to_iso_basic/1","anchor":"to_iso_basic/1"},{"id":"to_iso_timestamp/1","anchor":"to_iso_timestamp/1"},{"id":"truncate_to_day/1","anchor":"truncate_to_day/1"},{"id":"truncate_to_hour/1","anchor":"truncate_to_hour/1"},{"id":"truncate_to_minute/1","anchor":"truncate_to_minute/1"},{"id":"truncate_to_second/1","anchor":"truncate_to_second/1"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Tmpdir","title":"Antikythera.Tmpdir","group":"","functions":[{"id":"make/2","anchor":"make/2"}]},{"id":"Antikythera.UnencodedPath","title":"Antikythera.UnencodedPath","group":"","functions":[{"id":"pattern/0","anchor":"pattern/0"},{"id":"segment_charclass/0","anchor":"segment_charclass/0"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Url","title":"Antikythera.Url","group":"","functions":[{"id":"pattern/0","anchor":"pattern/0"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.VersionStr","title":"Antikythera.VersionStr","group":"","functions":[{"id":"pattern/0","anchor":"pattern/0"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.View.Unit","title":"Antikythera.View.Unit","group":"","functions":[{"id":"bytes/1","anchor":"bytes/1"}]},{"id":"Antikythera.Websocket","title":"Antikythera.Websocket","group":"","callbacks":[{"id":"connect/1","anchor":"c:connect/1"},{"id":"handle_client_message/3","anchor":"c:handle_client_message/3"},{"id":"handle_server_message/3","anchor":"c:handle_server_message/3"},{"id":"init/1","anchor":"c:init/1"},{"id":"terminate/3","anchor":"c:terminate/3"}],"types":[{"id":"callback_result/0","anchor":"t:callback_result/0"},{"id":"state/0","anchor":"t:state/0"},{"id":"terminate_reason/0","anchor":"t:terminate_reason/0"}]},{"id":"Antikythera.Websocket.Frame","title":"Antikythera.Websocket.Frame","group":"","functions":[{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"close_code/0","anchor":"t:close_code/0"},{"id":"close_payload/0","anchor":"t:close_payload/0"},{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Websocket.FrameList","title":"Antikythera.Websocket.FrameList","group":"","functions":[{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Xml","title":"Antikythera.Xml","group":"","functions":[{"id":"decode/2","anchor":"decode/2"},{"id":"decode!/1","anchor":"decode!/1"},{"id":"decode!/2","anchor":"decode!/2"},{"id":"encode/2","anchor":"encode/2"}],"types":[{"id":"decode_option/0","anchor":"t:decode_option/0"},{"id":"encode_option/0","anchor":"t:encode_option/0"}]},{"id":"Antikythera.Xml.Content","title":"Antikythera.Xml.Content","group":"","functions":[{"id":"new/1","anchor":"new/1"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Antikythera.Xml.Element","title":"Antikythera.Xml.Element","group":"","functions":[{"id":"attributes/1","anchor":"attributes/1"},{"id":"attributes/2","anchor":"attributes/2"},{"id":"children/1","anchor":"children/1"},{"id":"children/2","anchor":"children/2"},{"id":"name/1","anchor":"name/1"},{"id":"name/2","anchor":"name/2"},{"id":"new/1","anchor":"new/1"},{"id":"new!/1","anchor":"new!/1"},{"id":"update/2","anchor":"update/2"},{"id":"update!/2","anchor":"update!/2"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"AntikytheraCore","title":"AntikytheraCore","group":""},{"id":"AntikytheraCore.Alert.ErrorCountReporter","title":"AntikytheraCore.Alert.ErrorCountReporter","group":""},{"id":"AntikytheraCore.Alert.Handler","title":"AntikytheraCore.Alert.Handler","group":"","callbacks":[{"id":"send_alerts/3","anchor":"c:send_alerts/3"},{"id":"validate_config/1","anchor":"c:validate_config/1"}]},{"id":"AntikytheraCore.Alert.Handler.Email","title":"AntikytheraCore.Alert.Handler.Email","group":""},{"id":"AntikytheraCore.Alert.HandlerConfig","title":"AntikytheraCore.Alert.HandlerConfig","group":"","functions":[{"id":"get/2","anchor":"get/2"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"AntikytheraCore.Alert.HandlerConfigsMap","title":"AntikytheraCore.Alert.HandlerConfigsMap","group":"","functions":[{"id":"get/1","anchor":"get/1"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"AntikytheraCore.Alert.HandlerState","title":"AntikytheraCore.Alert.HandlerState","group":"","functions":[{"id":"busy?/1","anchor":"busy?/1"},{"id":"busy?/2","anchor":"busy?/2"},{"id":"handler_module/1","anchor":"handler_module/1"},{"id":"handler_module/2","anchor":"handler_module/2"},{"id":"message_buffer/1","anchor":"message_buffer/1"},{"id":"message_buffer/2","anchor":"message_buffer/2"},{"id":"new/1","anchor":"new/1"},{"id":"new!/1","anchor":"new!/1"},{"id":"otp_app_name/1","anchor":"otp_app_name/1"},{"id":"otp_app_name/2","anchor":"otp_app_name/2"},{"id":"update/2","anchor":"update/2"},{"id":"update!/2","anchor":"update!/2"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"AntikytheraCore.Alert.LoggerBackend","title":"AntikytheraCore.Alert.LoggerBackend","group":""},{"id":"AntikytheraCore.Alert.Manager","title":"AntikytheraCore.Alert.Manager","group":"","functions":[{"id":"notify/3","anchor":"notify/3"},{"id":"schedule_handler_timeout/2","anchor":"schedule_handler_timeout/2"},{"id":"start_link/2","anchor":"start_link/2"},{"id":"update_handler_installations/2","anchor":"update_handler_installations/2"}]},{"id":"AntikytheraCore.Alert.Message","title":"AntikytheraCore.Alert.Message","group":"","functions":[{"id":"new/1","anchor":"new/1"},{"id":"new!/1","anchor":"new!/1"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"AntikytheraCore.AsyncJob","title":"AntikytheraCore.AsyncJob","group":"","functions":[{"id":"attempts/1","anchor":"attempts/1"},{"id":"attempts/2","anchor":"attempts/2"},{"id":"compute_retry_interval/1","anchor":"compute_retry_interval/1"},{"id":"gear_name/1","anchor":"gear_name/1"},{"id":"gear_name/2","anchor":"gear_name/2"},{"id":"max_duration/1","anchor":"max_duration/1"},{"id":"max_duration/2","anchor":"max_duration/2"},{"id":"max_start_time_from_now/0","anchor":"max_start_time_from_now/0"},{"id":"module/1","anchor":"module/1"},{"id":"module/2","anchor":"module/2"},{"id":"new/1","anchor":"new/1"},{"id":"new!/1","anchor":"new!/1"},{"id":"payload/1","anchor":"payload/1"},{"id":"payload/2","anchor":"payload/2"},{"id":"register/5","anchor":"register/5"},{"id":"remaining_attempts/1","anchor":"remaining_attempts/1"},{"id":"remaining_attempts/2","anchor":"remaining_attempts/2"},{"id":"retry_interval/1","anchor":"retry_interval/1"},{"id":"retry_interval/2","anchor":"retry_interval/2"},{"id":"schedule/1","anchor":"schedule/1"},{"id":"schedule/2","anchor":"schedule/2"},{"id":"update/2","anchor":"update/2"},{"id":"update!/2","anchor":"update!/2"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"AntikytheraCore.AsyncJob.Queue","title":"AntikytheraCore.AsyncJob.Queue","group":"","functions":[{"id":"abandoned_jobs/1","anchor":"abandoned_jobs/1"},{"id":"abandoned_jobs/2","anchor":"abandoned_jobs/2"},{"id":"add_consensus_group/1","anchor":"add_consensus_group/1"},{"id":"add_job/5","anchor":"add_job/5"},{"id":"brokers_to_notify/1","anchor":"brokers_to_notify/1"},{"id":"brokers_to_notify/2","anchor":"brokers_to_notify/2"},{"id":"brokers_waiting/1","anchor":"brokers_waiting/1"},{"id":"brokers_waiting/2","anchor":"brokers_waiting/2"},{"id":"cancel/2","anchor":"cancel/2"},{"id":"fetch_job/1","anchor":"fetch_job/1"},{"id":"index_runnable/1","anchor":"index_runnable/1"},{"id":"index_runnable/2","anchor":"index_runnable/2"},{"id":"index_running/1","anchor":"index_running/1"},{"id":"index_running/2","anchor":"index_running/2"},{"id":"index_waiting/1","anchor":"index_waiting/1"},{"id":"index_waiting/2","anchor":"index_waiting/2"},{"id":"jobs/1","anchor":"jobs/1"},{"id":"jobs/2","anchor":"jobs/2"},{"id":"list/1","anchor":"list/1"},{"id":"max_jobs/0","anchor":"max_jobs/0"},{"id":"new/1","anchor":"new/1"},{"id":"new!/1","anchor":"new!/1"},{"id":"remove_broker_from_waiting_list/1","anchor":"remove_broker_from_waiting_list/1"},{"id":"remove_locked_job/2","anchor":"remove_locked_job/2"},{"id":"start_jobs_and_get_metrics/1","anchor":"start_jobs_and_get_metrics/1"},{"id":"status/2","anchor":"status/2"},{"id":"unlock_job_for_retry/2","anchor":"unlock_job_for_retry/2"},{"id":"update/2","anchor":"update/2"},{"id":"update!/2","anchor":"update!/2"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"AntikytheraCore.AsyncJob.Queue.Hook","title":"AntikytheraCore.AsyncJob.Queue.Hook","group":""},{"id":"AntikytheraCore.AsyncJob.Queue.IdJobPair","title":"AntikytheraCore.AsyncJob.Queue.IdJobPair","group":"","functions":[{"id":"new/1","anchor":"new/1"},{"id":"new!/1","anchor":"new!/1"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"AntikytheraCore.AsyncJob.Queue.JobKey","title":"AntikytheraCore.AsyncJob.Queue.JobKey","group":"","functions":[{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"AntikytheraCore.AsyncJob.Queue.JobsMap","title":"AntikytheraCore.AsyncJob.Queue.JobsMap","group":"","functions":[{"id":"new/1","anchor":"new/1"},{"id":"new!/1","anchor":"new!/1"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"AntikytheraCore.AsyncJob.Queue.JobsMap.Triplet","title":"AntikytheraCore.AsyncJob.Queue.JobsMap.Triplet","group":"","functions":[{"id":"new/1","anchor":"new/1"},{"id":"new!/1","anchor":"new!/1"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"AntikytheraCore.AsyncJob.Queue.SecondaryIndex","title":"AntikytheraCore.AsyncJob.Queue.SecondaryIndex","group":"","functions":[{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"AntikytheraCore.AsyncJob.RaftOptionsMaker","title":"AntikytheraCore.AsyncJob.RaftOptionsMaker","group":"","functions":[{"id":"make/1","anchor":"make/1"}]},{"id":"AntikytheraCore.AsyncJob.RateLimit","title":"AntikytheraCore.AsyncJob.RateLimit","group":"","functions":[{"id":"check_for_command/1","anchor":"check_for_command/1"},{"id":"check_with_retry_for_query/3","anchor":"check_with_retry_for_query/3"},{"id":"max_tokens/0","anchor":"max_tokens/0"},{"id":"milliseconds_per_token/0","anchor":"milliseconds_per_token/0"},{"id":"tokens_per_command/0","anchor":"tokens_per_command/0"}]},{"id":"AntikytheraCore.Cluster","title":"AntikytheraCore.Cluster","group":"","functions":[{"id":"connect_to_other_nodes/1","anchor":"connect_to_other_nodes/1"},{"id":"connect_to_other_nodes_on_start/0","anchor":"connect_to_other_nodes_on_start/0"},{"id":"node_to_host/1","anchor":"node_to_host/1"}]},{"id":"AntikytheraCore.Cluster.NodeId","title":"AntikytheraCore.Cluster.NodeId","group":"","functions":[{"id":"get/0","anchor":"get/0"},{"id":"init/0","anchor":"init/0"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"AntikytheraCore.ClusterHostsPoller","title":"AntikytheraCore.ClusterHostsPoller","group":"","functions":[{"id":"current_hosts/0","anchor":"current_hosts/0"},{"id":"start_link/0","anchor":"start_link/0"}]},{"id":"AntikytheraCore.ClusterHostsPoller.Fetcher","title":"AntikytheraCore.ClusterHostsPoller.Fetcher","group":"","functions":[{"id":"run/0","anchor":"run/0"}]},{"id":"AntikytheraCore.ClusterNodesConnector","title":"AntikytheraCore.ClusterNodesConnector","group":"","functions":[{"id":"start_link/0","anchor":"start_link/0"}]},{"id":"AntikytheraCore.Cmd","title":"AntikytheraCore.Cmd","group":"","functions":[{"id":"hostname/0","anchor":"hostname/0"}]},{"id":"AntikytheraCore.Config.Core","title":"AntikytheraCore.Config.Core","group":"","functions":[{"id":"dump_from_env_to_file/0","anchor":"dump_from_env_to_file/0"},{"id":"load/1","anchor":"load/1"},{"id":"write/1","anchor":"write/1"}]},{"id":"AntikytheraCore.Config.EncryptionKey","title":"AntikytheraCore.Config.EncryptionKey","group":"","functions":[{"id":"get/0","anchor":"get/0"},{"id":"init/0","anchor":"init/0"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"AntikytheraCore.Config.Gear","title":"AntikytheraCore.Config.Gear","group":"","functions":[{"id":"alerts/1","anchor":"alerts/1"},{"id":"alerts/2","anchor":"alerts/2"},{"id":"default/0","anchor":"default/0"},{"id":"domains/1","anchor":"domains/1"},{"id":"domains/2","anchor":"domains/2"},{"id":"dump_all_from_env_to_file/0","anchor":"dump_all_from_env_to_file/0"},{"id":"ensure_loaded/1","anchor":"ensure_loaded/1"},{"id":"kv/1","anchor":"kv/1"},{"id":"kv/2","anchor":"kv/2"},{"id":"load_all/1","anchor":"load_all/1"},{"id":"log_level/1","anchor":"log_level/1"},{"id":"log_level/2","anchor":"log_level/2"},{"id":"new/1","anchor":"new/1"},{"id":"new!/1","anchor":"new!/1"},{"id":"read/1","anchor":"read/1"},{"id":"read_all/0","anchor":"read_all/0"},{"id":"update/2","anchor":"update/2"},{"id":"update!/2","anchor":"update!/2"},{"id":"valid?/1","anchor":"valid?/1"},{"id":"write/2","anchor":"write/2"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"AntikytheraCore.Conn","title":"AntikytheraCore.Conn","group":"","functions":[{"id":"gear_name/1","anchor":"gear_name/1"},{"id":"make_from_cowboy_req/4","anchor":"make_from_cowboy_req/4"},{"id":"make_from_g2g_req_and_context/6","anchor":"make_from_g2g_req_and_context/6"},{"id":"reply_as_cowboy_res/2","anchor":"reply_as_cowboy_res/2"},{"id":"reply_as_g2g_res/1","anchor":"reply_as_g2g_res/1"},{"id":"request_info/1","anchor":"request_info/1"},{"id":"run_before_send/2","anchor":"run_before_send/2"}]},{"id":"AntikytheraCore.Context","title":"AntikytheraCore.Context","group":"","functions":[{"id":"make/4","anchor":"make/4"},{"id":"make_context_id/1","anchor":"make_context_id/1"}]},{"id":"AntikytheraCore.Cookies","title":"AntikytheraCore.Cookies","group":"","functions":[{"id":"make_from_cowboy_req/1","anchor":"make_from_cowboy_req/1"},{"id":"merge_cookies_to_cowboy_req/2","anchor":"merge_cookies_to_cowboy_req/2"}]},{"id":"AntikytheraCore.CoreConfigPoller","title":"AntikytheraCore.CoreConfigPoller","group":"","functions":[{"id":"start_link/0","anchor":"start_link/0"}]},{"id":"AntikytheraCore.ErlangLogTranslator","title":"AntikytheraCore.ErlangLogTranslator","group":"","functions":[{"id":"translate/4","anchor":"translate/4"}]},{"id":"AntikytheraCore.ErrorCountsAccumulator","title":"AntikytheraCore.ErrorCountsAccumulator","group":"","functions":[{"id":"get/1","anchor":"get/1"},{"id":"get_total/0","anchor":"get_total/0"},{"id":"start_link/0","anchor":"start_link/0"},{"id":"submit/2","anchor":"submit/2"}],"types":[{"id":"results/0","anchor":"t:results/0"}]},{"id":"AntikytheraCore.ErrorCountsAccumulator.State","title":"AntikytheraCore.ErrorCountsAccumulator.State","group":"","functions":[{"id":"add/3","anchor":"add/3"},{"id":"advance_to_next_minute/2","anchor":"advance_to_next_minute/2"},{"id":"counts/1","anchor":"counts/1"},{"id":"counts/2","anchor":"counts/2"},{"id":"get/2","anchor":"get/2"},{"id":"get_total/1","anchor":"get_total/1"},{"id":"new/1","anchor":"new/1"},{"id":"new!/1","anchor":"new!/1"},{"id":"now_minute/1","anchor":"now_minute/1"},{"id":"now_minute/2","anchor":"now_minute/2"},{"id":"update/2","anchor":"update/2"},{"id":"update!/2","anchor":"update!/2"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"results/0","anchor":"t:results/0"},{"id":"t/0","anchor":"t:t/0"}]},{"id":"AntikytheraCore.ErrorCountsAccumulator.State.CountByMinute","title":"AntikytheraCore.ErrorCountsAccumulator.State.CountByMinute","group":"","functions":[{"id":"new/1","anchor":"new/1"},{"id":"new!/1","anchor":"new!/1"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"AntikytheraCore.ErrorCountsAccumulator.State.CountByMinuteByApp","title":"AntikytheraCore.ErrorCountsAccumulator.State.CountByMinuteByApp","group":"","functions":[{"id":"new/1","anchor":"new/1"},{"id":"new!/1","anchor":"new!/1"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"AntikytheraCore.Ets","title":"AntikytheraCore.Ets","group":"","functions":[{"id":"create_read_optimized_table/1","anchor":"create_read_optimized_table/1"},{"id":"init_all/0","anchor":"init_all/0"}]},{"id":"AntikytheraCore.Ets.ConfigCache","title":"AntikytheraCore.Ets.ConfigCache","group":"","functions":[{"id":"init/0","anchor":"init/0"},{"id":"table_name/0","anchor":"table_name/0"}]},{"id":"AntikytheraCore.Ets.ConfigCache.Core","title":"AntikytheraCore.Ets.ConfigCache.Core","group":"","functions":[{"id":"read/0","anchor":"read/0"},{"id":"write/1","anchor":"write/1"}]},{"id":"AntikytheraCore.Ets.ConfigCache.Gear","title":"AntikytheraCore.Ets.ConfigCache.Gear","group":"","functions":[{"id":"read/1","anchor":"read/1"},{"id":"write/2","anchor":"write/2"}]},{"id":"AntikytheraCore.Ets.GearActionRunnerPools","title":"AntikytheraCore.Ets.GearActionRunnerPools","group":"","functions":[{"id":"init/0","anchor":"init/0"},{"id":"table_name/0","anchor":"table_name/0"}]},{"id":"AntikytheraCore.Ets.SystemCache","title":"AntikytheraCore.Ets.SystemCache","group":"","functions":[{"id":"init/0","anchor":"init/0"},{"id":"table_name/0","anchor":"table_name/0"}]},{"id":"AntikytheraCore.Ets.TenantToGearsMapping","title":"AntikytheraCore.Ets.TenantToGearsMapping","group":"","functions":[{"id":"associated?/2","anchor":"associated?/2"},{"id":"init/0","anchor":"init/0"},{"id":"set/2","anchor":"set/2"},{"id":"table_name/0","anchor":"table_name/0"},{"id":"unset/1","anchor":"unset/1"}]},{"id":"AntikytheraCore.ExecutorPool","title":"AntikytheraCore.ExecutorPool","group":"","functions":[{"id":"apply_setting/2","anchor":"apply_setting/2"},{"id":"kill_executor_pool/1","anchor":"kill_executor_pool/1"},{"id":"start_executor_pool/2","anchor":"start_executor_pool/2"},{"id":"start_link/3","anchor":"start_link/3"},{"id":"start_per_gear_executor_pool/1","anchor":"start_per_gear_executor_pool/1"}]},{"id":"AntikytheraCore.ExecutorPool.ActionRunner","title":"AntikytheraCore.ExecutorPool.ActionRunner","group":"","functions":[{"id":"run/3","anchor":"run/3"},{"id":"start_link/1","anchor":"start_link/1"}]},{"id":"AntikytheraCore.ExecutorPool.AsyncJobBroker","title":"AntikytheraCore.ExecutorPool.AsyncJobBroker","group":"","functions":[{"id":"deactivate/1","anchor":"deactivate/1"},{"id":"notify_job_registered/1","anchor":"notify_job_registered/1"},{"id":"notify_pool_capacity_may_have_changed/1","anchor":"notify_pool_capacity_may_have_changed/1"},{"id":"start_link/3","anchor":"start_link/3"}]},{"id":"AntikytheraCore.ExecutorPool.AsyncJobBroker.Phase","title":"AntikytheraCore.ExecutorPool.AsyncJobBroker.Phase","group":"","functions":[{"id":"new/1","anchor":"new/1"},{"id":"new!/1","anchor":"new!/1"},{"id":"valid?/1","anchor":"valid?/1"},{"id":"values/0","anchor":"values/0"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"AntikytheraCore.ExecutorPool.AsyncJobBroker.State","title":"AntikytheraCore.ExecutorPool.AsyncJobBroker.State","group":"","functions":[{"id":"new/1","anchor":"new/1"},{"id":"new!/1","anchor":"new!/1"},{"id":"phase/1","anchor":"phase/1"},{"id":"phase/2","anchor":"phase/2"},{"id":"pool_name/1","anchor":"pool_name/1"},{"id":"pool_name/2","anchor":"pool_name/2"},{"id":"queue_name/1","anchor":"queue_name/1"},{"id":"queue_name/2","anchor":"queue_name/2"},{"id":"update/2","anchor":"update/2"},{"id":"update!/2","anchor":"update!/2"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"AntikytheraCore.ExecutorPool.AsyncJobRunner","title":"AntikytheraCore.ExecutorPool.AsyncJobRunner","group":"","functions":[{"id":"abandon_callback_max_duration/0","anchor":"abandon_callback_max_duration/0"},{"id":"do_abandon/4","anchor":"do_abandon/4"},{"id":"do_run/4","anchor":"do_run/4"},{"id":"run/4","anchor":"run/4"},{"id":"start_link/1","anchor":"start_link/1"}]},{"id":"AntikytheraCore.ExecutorPool.Id","title":"AntikytheraCore.ExecutorPool.Id","group":"","functions":[{"id":"validate_association/2","anchor":"validate_association/2"}],"types":[{"id":"reason/0","anchor":"t:reason/0"}]},{"id":"AntikytheraCore.ExecutorPool.RegisteredName","title":"AntikytheraCore.ExecutorPool.RegisteredName","group":"","functions":[{"id":"action_runner_pool_multi/1","anchor":"action_runner_pool_multi/1"},{"id":"action_runner_pool_multi_unsafe/1","anchor":"action_runner_pool_multi_unsafe/1"},{"id":"async_job_broker/1","anchor":"async_job_broker/1"},{"id":"async_job_broker_unsafe/1","anchor":"async_job_broker_unsafe/1"},{"id":"async_job_queue/1","anchor":"async_job_queue/1"},{"id":"async_job_queue_unsafe/1","anchor":"async_job_queue_unsafe/1"},{"id":"async_job_runner_pool/1","anchor":"async_job_runner_pool/1"},{"id":"async_job_runner_pool_unsafe/1","anchor":"async_job_runner_pool_unsafe/1"},{"id":"supervisor/1","anchor":"supervisor/1"},{"id":"supervisor_unsafe/1","anchor":"supervisor_unsafe/1"},{"id":"websocket_connections_counter/1","anchor":"websocket_connections_counter/1"},{"id":"websocket_connections_counter_unsafe/1","anchor":"websocket_connections_counter_unsafe/1"}]},{"id":"AntikytheraCore.ExecutorPool.Setting","title":"AntikytheraCore.ExecutorPool.Setting","group":"","functions":[{"id":"all/0","anchor":"all/0"},{"id":"default/0","anchor":"default/0"},{"id":"n_pools_a/1","anchor":"n_pools_a/1"},{"id":"n_pools_a/2","anchor":"n_pools_a/2"},{"id":"new/1","anchor":"new/1"},{"id":"new!/1","anchor":"new!/1"},{"id":"of_gear/1","anchor":"of_gear/1"},{"id":"pool_size_a/1","anchor":"pool_size_a/1"},{"id":"pool_size_a/2","anchor":"pool_size_a/2"},{"id":"pool_size_j/1","anchor":"pool_size_j/1"},{"id":"pool_size_j/2","anchor":"pool_size_j/2"},{"id":"update/2","anchor":"update/2"},{"id":"update!/2","anchor":"update!/2"},{"id":"valid?/1","anchor":"valid?/1"},{"id":"ws_max_connections/1","anchor":"ws_max_connections/1"},{"id":"ws_max_connections/2","anchor":"ws_max_connections/2"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"AntikytheraCore.ExecutorPool.Sup","title":"AntikytheraCore.ExecutorPool.Sup","group":"","functions":[{"id":"start_link/0","anchor":"start_link/0"}]},{"id":"AntikytheraCore.ExecutorPool.TenantSetting","title":"AntikytheraCore.ExecutorPool.TenantSetting","group":"","functions":[{"id":"associate_with_gear/2","anchor":"associate_with_gear/2"},{"id":"default/0","anchor":"default/0"},{"id":"disassociate_from_gear/2","anchor":"disassociate_from_gear/2"},{"id":"fetch_all_modified/1","anchor":"fetch_all_modified/1"},{"id":"gears/1","anchor":"gears/1"},{"id":"gears/2","anchor":"gears/2"},{"id":"n_pools_a/1","anchor":"n_pools_a/1"},{"id":"n_pools_a/2","anchor":"n_pools_a/2"},{"id":"new/1","anchor":"new/1"},{"id":"new!/1","anchor":"new!/1"},{"id":"persist_new_tenant_and_broadcast/2","anchor":"persist_new_tenant_and_broadcast/2"},{"id":"pool_size_a/1","anchor":"pool_size_a/1"},{"id":"pool_size_a/2","anchor":"pool_size_a/2"},{"id":"pool_size_j/1","anchor":"pool_size_j/1"},{"id":"pool_size_j/2","anchor":"pool_size_j/2"},{"id":"update/2","anchor":"update/2"},{"id":"update!/2","anchor":"update!/2"},{"id":"valid?/1","anchor":"valid?/1"},{"id":"ws_max_connections/1","anchor":"ws_max_connections/1"},{"id":"ws_max_connections/2","anchor":"ws_max_connections/2"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"AntikytheraCore.ExecutorPool.TimedJobStarter","title":"AntikytheraCore.ExecutorPool.TimedJobStarter","group":"","functions":[{"id":"start_link/3","anchor":"start_link/3"}]},{"id":"AntikytheraCore.ExecutorPool.UsageReporter","title":"AntikytheraCore.ExecutorPool.UsageReporter","group":"","functions":[{"id":"start_link/2","anchor":"start_link/2"}]},{"id":"AntikytheraCore.ExecutorPool.WebsocketConnectionsCounter","title":"AntikytheraCore.ExecutorPool.WebsocketConnectionsCounter","group":"","functions":[{"id":"gradually_terminate_all_ws_connections/0","anchor":"gradually_terminate_all_ws_connections/0"},{"id":"increment/2","anchor":"increment/2"},{"id":"set_max/2","anchor":"set_max/2"},{"id":"start_link/2","anchor":"start_link/2"},{"id":"start_terminating_all_ws_connections/0","anchor":"start_terminating_all_ws_connections/0"},{"id":"stats/1","anchor":"stats/1"}]},{"id":"AntikytheraCore.FileSetup","title":"AntikytheraCore.FileSetup","group":"","functions":[{"id":"setup_files_and_ets_tables/0","anchor":"setup_files_and_ets_tables/0"},{"id":"write_initial_antikythera_instance_version_to_history_if_non_cloud/1","anchor":"write_initial_antikythera_instance_version_to_history_if_non_cloud/1"}]},{"id":"AntikytheraCore.GearConfigPoller","title":"AntikytheraCore.GearConfigPoller","group":"","functions":[{"id":"start_link/0","anchor":"start_link/0"}]},{"id":"AntikytheraCore.GearExecutorPoolsManager","title":"AntikytheraCore.GearExecutorPoolsManager","group":"","functions":[{"id":"start_link/0","anchor":"start_link/0"}]},{"id":"AntikytheraCore.GearLog.ContextHelper","title":"AntikytheraCore.GearLog.ContextHelper","group":"","functions":[{"id":"get!/0","anchor":"get!/0"},{"id":"set/1","anchor":"set/1"}]},{"id":"AntikytheraCore.GearLog.FileHandle","title":"AntikytheraCore.GearLog.FileHandle","group":"","functions":[{"id":"close/1","anchor":"close/1"},{"id":"open/1","anchor":"open/1"},{"id":"rotate/1","anchor":"rotate/1"},{"id":"write/2","anchor":"write/2"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"AntikytheraCore.GearLog.FileHandle.SizeCheck","title":"AntikytheraCore.GearLog.FileHandle.SizeCheck","group":"","functions":[{"id":"check_now?/2","anchor":"check_now?/2"},{"id":"exceeds_limit?/1","anchor":"exceeds_limit?/1"}]},{"id":"AntikytheraCore.GearLog.Level","title":"AntikytheraCore.GearLog.Level","group":"","functions":[{"id":"default/0","anchor":"default/0"},{"id":"from_string/1","anchor":"from_string/1"},{"id":"new/1","anchor":"new/1"},{"id":"new!/1","anchor":"new!/1"},{"id":"valid?/1","anchor":"valid?/1"},{"id":"values/0","anchor":"values/0"},{"id":"write_to_log?/2","anchor":"write_to_log?/2"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"AntikytheraCore.GearLog.Message","title":"AntikytheraCore.GearLog.Message","group":"","types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"AntikytheraCore.GearLog.Writer","title":"AntikytheraCore.GearLog.Writer","group":"","functions":[{"id":"debug/2","anchor":"debug/2"},{"id":"debug/4","anchor":"debug/4"},{"id":"error/2","anchor":"error/2"},{"id":"error/4","anchor":"error/4"},{"id":"info/2","anchor":"info/2"},{"id":"info/4","anchor":"info/4"},{"id":"rotate_and_start_upload_in_all_nodes/1","anchor":"rotate_and_start_upload_in_all_nodes/1"},{"id":"set_min_level/2","anchor":"set_min_level/2"},{"id":"start_link/2","anchor":"start_link/2"}]},{"id":"AntikytheraCore.GearLog.Writer.State","title":"AntikytheraCore.GearLog.Writer.State","group":"","functions":[{"id":"empty?/1","anchor":"empty?/1"},{"id":"empty?/2","anchor":"empty?/2"},{"id":"file_handle/1","anchor":"file_handle/1"},{"id":"file_handle/2","anchor":"file_handle/2"},{"id":"min_level/1","anchor":"min_level/1"},{"id":"min_level/2","anchor":"min_level/2"},{"id":"new/1","anchor":"new/1"},{"id":"new!/1","anchor":"new!/1"},{"id":"timer/1","anchor":"timer/1"},{"id":"timer/2","anchor":"timer/2"},{"id":"update/2","anchor":"update/2"},{"id":"update!/2","anchor":"update!/2"},{"id":"uploader/1","anchor":"uploader/1"},{"id":"uploader/2","anchor":"uploader/2"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"AntikytheraCore.GearManager","title":"AntikytheraCore.GearManager","group":"","functions":[{"id":"gear_started/1","anchor":"gear_started/1"},{"id":"gear_stopped/1","anchor":"gear_stopped/1"},{"id":"running_gear_names/0","anchor":"running_gear_names/0"},{"id":"start_link/0","anchor":"start_link/0"}]},{"id":"AntikytheraCore.GearModule","title":"AntikytheraCore.GearModule","group":"","functions":[{"id":"alert_manager/1","anchor":"alert_manager/1"},{"id":"alert_manager_unsafe/1","anchor":"alert_manager_unsafe/1"},{"id":"error_handler/1","anchor":"error_handler/1"},{"id":"error_handler_unsafe/1","anchor":"error_handler_unsafe/1"},{"id":"logger/1","anchor":"logger/1"},{"id":"logger_unsafe/1","anchor":"logger_unsafe/1"},{"id":"metrics_uploader/1","anchor":"metrics_uploader/1"},{"id":"metrics_uploader_unsafe/1","anchor":"metrics_uploader_unsafe/1"},{"id":"request_helper_modules/1","anchor":"request_helper_modules/1"},{"id":"root_supervisor_unsafe/1","anchor":"root_supervisor_unsafe/1"},{"id":"router/1","anchor":"router/1"},{"id":"router_unsafe/1","anchor":"router_unsafe/1"},{"id":"template_module_from_context/1","anchor":"template_module_from_context/1"},{"id":"top/1","anchor":"top/1"}]},{"id":"AntikytheraCore.GearProcess","title":"AntikytheraCore.GearProcess","group":"","functions":[{"id":"max_heap_size/0","anchor":"max_heap_size/0"},{"id":"set_max_heap_size/0","anchor":"set_max_heap_size/0"},{"id":"spawn_monitor/3","anchor":"spawn_monitor/3"}]},{"id":"AntikytheraCore.GearTask","title":"AntikytheraCore.GearTask","group":"","functions":[{"id":"exec_wait/4","anchor":"exec_wait/4"}],"types":[{"id":"mod_fun_args/0","anchor":"t:mod_fun_args/0"}]},{"id":"AntikytheraCore.Handler.BodyParser","title":"AntikytheraCore.Handler.BodyParser","group":"","functions":[{"id":"parse/1","anchor":"parse/1"}]},{"id":"AntikytheraCore.Handler.CowboyReq","title":"AntikytheraCore.Handler.CowboyReq","group":"","functions":[{"id":"method/1","anchor":"method/1"},{"id":"path_info/1","anchor":"path_info/1"},{"id":"query_params/2","anchor":"query_params/2"},{"id":"request_body_pair/4","anchor":"request_body_pair/4"},{"id":"with_conn/5","anchor":"with_conn/5"}],"types":[{"id":"result/1","anchor":"t:result/1"},{"id":"routing_info/0","anchor":"t:routing_info/0"}]},{"id":"AntikytheraCore.Handler.CowboyRouting","title":"AntikytheraCore.Handler.CowboyRouting","group":"","functions":[{"id":"compiled_routes/2","anchor":"compiled_routes/2"},{"id":"default_domain/2","anchor":"default_domain/2"},{"id":"update_routing/2","anchor":"update_routing/2"}]},{"id":"AntikytheraCore.Handler.ExecutorPoolHelper","title":"AntikytheraCore.Handler.ExecutorPoolHelper","group":"","functions":[{"id":"increment_ws_count/4","anchor":"increment_ws_count/4"},{"id":"with_executor/4","anchor":"with_executor/4"}]},{"id":"AntikytheraCore.Handler.GearAction","title":"AntikytheraCore.Handler.GearAction","group":"","functions":[{"id":"split_path_to_segments/1","anchor":"split_path_to_segments/1"},{"id":"with_logging_and_metrics_reporting/3","anchor":"with_logging_and_metrics_reporting/3"}]},{"id":"AntikytheraCore.Handler.GearAction.G2g","title":"AntikytheraCore.Handler.GearAction.G2g","group":"","functions":[{"id":"handle/3","anchor":"handle/3"}]},{"id":"AntikytheraCore.Handler.GearAction.Web","title":"AntikytheraCore.Handler.GearAction.Web","group":"","types":[{"id":"http_reply/0","anchor":"t:http_reply/0"},{"id":"ws_upgrade/0","anchor":"t:ws_upgrade/0"}]},{"id":"AntikytheraCore.Handler.GearError","title":"AntikytheraCore.Handler.GearError","group":"","functions":[{"id":"bad_request/1","anchor":"bad_request/1"},{"id":"error/3","anchor":"error/3"},{"id":"internal_error_body/3","anchor":"internal_error_body/3"},{"id":"no_route/1","anchor":"no_route/1"},{"id":"ws_too_many_connections/1","anchor":"ws_too_many_connections/1"}]},{"id":"AntikytheraCore.Handler.Healthcheck","title":"AntikytheraCore.Handler.Healthcheck","group":""},{"id":"AntikytheraCore.Handler.Healthcheck.Initialized","title":"AntikytheraCore.Handler.Healthcheck.Initialized","group":""},{"id":"AntikytheraCore.Handler.Healthcheck.Uninitialized","title":"AntikytheraCore.Handler.Healthcheck.Uninitialized","group":""},{"id":"AntikytheraCore.Handler.HelperModules","title":"AntikytheraCore.Handler.HelperModules","group":"","functions":[{"id":"logger/1","anchor":"logger/1"},{"id":"logger/2","anchor":"logger/2"},{"id":"metrics_uploader/1","anchor":"metrics_uploader/1"},{"id":"metrics_uploader/2","anchor":"metrics_uploader/2"},{"id":"new/1","anchor":"new/1"},{"id":"new!/1","anchor":"new!/1"},{"id":"router/1","anchor":"router/1"},{"id":"router/2","anchor":"router/2"},{"id":"top/1","anchor":"top/1"},{"id":"top/2","anchor":"top/2"},{"id":"update/2","anchor":"update/2"},{"id":"update!/2","anchor":"update!/2"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"AntikytheraCore.Handler.SystemInfoExporter","title":"AntikytheraCore.Handler.SystemInfoExporter","group":""},{"id":"AntikytheraCore.Handler.SystemInfoExporter.AccessToken","title":"AntikytheraCore.Handler.SystemInfoExporter.AccessToken","group":"","functions":[{"id":"get/0","anchor":"get/0"},{"id":"init/0","anchor":"init/0"},{"id":"with_valid_token/2","anchor":"with_valid_token/2"}]},{"id":"AntikytheraCore.Handler.SystemInfoExporter.ErrorCount","title":"AntikytheraCore.Handler.SystemInfoExporter.ErrorCount","group":"","functions":[{"id":"init/2","anchor":"init/2"}]},{"id":"AntikytheraCore.Handler.SystemInfoExporter.Versions","title":"AntikytheraCore.Handler.SystemInfoExporter.Versions","group":"","functions":[{"id":"init/2","anchor":"init/2"}]},{"id":"AntikytheraCore.Handler.WebsocketState","title":"AntikytheraCore.Handler.WebsocketState","group":"","functions":[{"id":"conn/1","anchor":"conn/1"},{"id":"conn/2","anchor":"conn/2"},{"id":"error_reason/1","anchor":"error_reason/1"},{"id":"error_reason/2","anchor":"error_reason/2"},{"id":"frames_received/1","anchor":"frames_received/1"},{"id":"frames_received/2","anchor":"frames_received/2"},{"id":"frames_sent/1","anchor":"frames_sent/1"},{"id":"frames_sent/2","anchor":"frames_sent/2"},{"id":"gear_impl_state/1","anchor":"gear_impl_state/1"},{"id":"gear_impl_state/2","anchor":"gear_impl_state/2"},{"id":"handle_client_message/2","anchor":"handle_client_message/2"},{"id":"handle_server_message/2","anchor":"handle_server_message/2"},{"id":"helper_modules/1","anchor":"helper_modules/1"},{"id":"helper_modules/2","anchor":"helper_modules/2"},{"id":"init/1","anchor":"init/1"},{"id":"make/3","anchor":"make/3"},{"id":"new/1","anchor":"new/1"},{"id":"new!/1","anchor":"new!/1"},{"id":"terminate/2","anchor":"terminate/2"},{"id":"update/2","anchor":"update/2"},{"id":"update!/2","anchor":"update!/2"},{"id":"valid?/1","anchor":"valid?/1"},{"id":"ws_module/1","anchor":"ws_module/1"},{"id":"ws_module/2","anchor":"ws_module/2"}],"types":[{"id":"callback_result/0","anchor":"t:callback_result/0"},{"id":"cowboy_ws_terminate_reason/0","anchor":"t:cowboy_ws_terminate_reason/0"},{"id":"t/0","anchor":"t:t/0"}]},{"id":"AntikytheraCore.Logger","title":"AntikytheraCore.Logger","group":"","functions":[{"id":"error/1","anchor":"error/1"},{"id":"info/1","anchor":"info/1"}]},{"id":"AntikytheraCore.Metrics.AggregateStrategy","title":"AntikytheraCore.Metrics.AggregateStrategy","group":"","functions":[{"id":"name_to_module/1","anchor":"name_to_module/1"},{"id":"new/1","anchor":"new/1"},{"id":"new!/1","anchor":"new!/1"},{"id":"valid?/1","anchor":"valid?/1"},{"id":"values/0","anchor":"values/0"}],"types":[{"id":"data_t/0","anchor":"t:data_t/0"},{"id":"results_t/0","anchor":"t:results_t/0"},{"id":"t/0","anchor":"t:t/0"}]},{"id":"AntikytheraCore.Metrics.AggregateStrategy.Average","title":"AntikytheraCore.Metrics.AggregateStrategy.Average","group":""},{"id":"AntikytheraCore.Metrics.AggregateStrategy.Behaviour","title":"AntikytheraCore.Metrics.AggregateStrategy.Behaviour","group":"","callbacks":[{"id":"init/1","anchor":"c:init/1"},{"id":"merge/2","anchor":"c:merge/2"},{"id":"results/1","anchor":"c:results/1"}]},{"id":"AntikytheraCore.Metrics.AggregateStrategy.Gauge","title":"AntikytheraCore.Metrics.AggregateStrategy.Gauge","group":""},{"id":"AntikytheraCore.Metrics.AggregateStrategy.Name","title":"AntikytheraCore.Metrics.AggregateStrategy.Name","group":"","functions":[{"id":"new/1","anchor":"new/1"},{"id":"new!/1","anchor":"new!/1"},{"id":"valid?/1","anchor":"valid?/1"},{"id":"values/0","anchor":"values/0"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"AntikytheraCore.Metrics.AggregateStrategy.RequestCount","title":"AntikytheraCore.Metrics.AggregateStrategy.RequestCount","group":""},{"id":"AntikytheraCore.Metrics.AggregateStrategy.Sum","title":"AntikytheraCore.Metrics.AggregateStrategy.Sum","group":""},{"id":"AntikytheraCore.Metrics.AggregateStrategy.TimeDistribution","title":"AntikytheraCore.Metrics.AggregateStrategy.TimeDistribution","group":""},{"id":"AntikytheraCore.Metrics.Buffer","title":"AntikytheraCore.Metrics.Buffer","group":"","functions":[{"id":"add/4","anchor":"add/4"},{"id":"new/0","anchor":"new/0"},{"id":"partition_ongoing_and_past/2","anchor":"partition_ongoing_and_past/2"}],"types":[{"id":"epool_id/0","anchor":"t:epool_id/0"},{"id":"metrics_data_map/0","anchor":"t:metrics_data_map/0"},{"id":"metrics_type/0","anchor":"t:metrics_type/0"},{"id":"metrics_unit/0","anchor":"t:metrics_unit/0"},{"id":"metrics_value/0","anchor":"t:metrics_value/0"},{"id":"minute/0","anchor":"t:minute/0"},{"id":"t/0","anchor":"t:t/0"}]},{"id":"AntikytheraCore.Metrics.Results","title":"AntikytheraCore.Metrics.Results","group":"","functions":[{"id":"compute_results/1","anchor":"compute_results/1"},{"id":"merge/2","anchor":"merge/2"},{"id":"new/0","anchor":"new/0"}],"types":[{"id":"metrics_label/0","anchor":"t:metrics_label/0"},{"id":"per_unit_results_map/0","anchor":"t:per_unit_results_map/0"},{"id":"t/0","anchor":"t:t/0"}]},{"id":"AntikytheraCore.MetricsUploader","title":"AntikytheraCore.MetricsUploader","group":"","functions":[{"id":"start_link/2","anchor":"start_link/2"},{"id":"submit/3","anchor":"submit/3"},{"id":"submit_custom_metrics/3","anchor":"submit_custom_metrics/3"},{"id":"submit_with_time/4","anchor":"submit_with_time/4"}]},{"id":"AntikytheraCore.Mix.AssetList","title":"AntikytheraCore.Mix.AssetList","group":"","functions":[{"id":"load_all/2","anchor":"load_all/2"},{"id":"write!/2","anchor":"write!/2"}]},{"id":"AntikytheraCore.MnesiaNodesCleaner","title":"AntikytheraCore.MnesiaNodesCleaner","group":"","functions":[{"id":"start_link/0","anchor":"start_link/0"}]},{"id":"AntikytheraCore.Path","title":"AntikytheraCore.Path","group":"","functions":[{"id":"antikythera_root_dir/0","anchor":"antikythera_root_dir/0"},{"id":"compiled_core_dir/0","anchor":"compiled_core_dir/0"},{"id":"compiled_gears_dir/0","anchor":"compiled_gears_dir/0"},{"id":"config_encryption_key_path/0","anchor":"config_encryption_key_path/0"},{"id":"core_config_file_path/0","anchor":"core_config_file_path/0"},{"id":"gear_config_dir/0","anchor":"gear_config_dir/0"},{"id":"gear_config_file_path/1","anchor":"gear_config_file_path/1"},{"id":"gear_log_dir/1","anchor":"gear_log_dir/1"},{"id":"gear_log_file_path/1","anchor":"gear_log_file_path/1"},{"id":"gear_tmp_dir/0","anchor":"gear_tmp_dir/0"},{"id":"history_dir/0","anchor":"history_dir/0"},{"id":"list_modified_files/2","anchor":"list_modified_files/2"},{"id":"raft_persistence_dir_parent/0","anchor":"raft_persistence_dir_parent/0"},{"id":"system_info_access_token_path/0","anchor":"system_info_access_token_path/0"},{"id":"tenant_ids_file_path/0","anchor":"tenant_ids_file_path/0"},{"id":"tenant_setting_dir/0","anchor":"tenant_setting_dir/0"},{"id":"tenant_setting_file_path/1","anchor":"tenant_setting_file_path/1"}]},{"id":"AntikytheraCore.Release.Appup","title":"AntikytheraCore.Release.Appup","group":"","functions":[{"id":"make/5","anchor":"make/5"}]},{"id":"AntikytheraCore.Request","title":"AntikytheraCore.Request","group":"","functions":[{"id":"make_from_cowboy_req/6","anchor":"make_from_cowboy_req/6"}]},{"id":"AntikytheraCore.StaleGearArtifactCleaner","title":"AntikytheraCore.StaleGearArtifactCleaner","group":"","functions":[{"id":"start_link/0","anchor":"start_link/0"}]},{"id":"AntikytheraCore.StartupManager","title":"AntikytheraCore.StartupManager","group":"","functions":[{"id":"all_gears_installed/0","anchor":"all_gears_installed/0"},{"id":"initialized?/0","anchor":"initialized?/0"},{"id":"start_link/0","anchor":"start_link/0"},{"id":"update_routing/1","anchor":"update_routing/1"}]},{"id":"AntikytheraCore.SystemMetricsReporter","title":"AntikytheraCore.SystemMetricsReporter","group":"","functions":[{"id":"start_link/1","anchor":"start_link/1"}]},{"id":"AntikytheraCore.TemplateEngine","title":"AntikytheraCore.TemplateEngine","group":"","functions":[{"id":"handle_begin/1","anchor":"handle_begin/1"},{"id":"handle_body/1","anchor":"handle_body/1"},{"id":"handle_end/1","anchor":"handle_end/1"},{"id":"handle_expr/3","anchor":"handle_expr/3"},{"id":"handle_text/2","anchor":"handle_text/2"},{"id":"init/1","anchor":"init/1"},{"id":"to_safe_iodata/1","anchor":"to_safe_iodata/1"}]},{"id":"AntikytheraCore.TenantExecutorPoolsManager","title":"AntikytheraCore.TenantExecutorPoolsManager","group":"","functions":[{"id":"all/0","anchor":"all/0"},{"id":"polling_interval/0","anchor":"polling_interval/0"},{"id":"start_link/0","anchor":"start_link/0"}]},{"id":"AntikytheraCore.TenantExecutorPoolsManager.OneOffFetcher","title":"AntikytheraCore.TenantExecutorPoolsManager.OneOffFetcher","group":"","functions":[{"id":"run/1","anchor":"run/1"}]},{"id":"AntikytheraCore.TerminationManager","title":"AntikytheraCore.TerminationManager","group":"","functions":[{"id":"register_broker/0","anchor":"register_broker/0"},{"id":"start_link/0","anchor":"start_link/0"}]},{"id":"AntikytheraCore.TerminationManager.State","title":"AntikytheraCore.TerminationManager.State","group":"","functions":[{"id":"brokers/1","anchor":"brokers/1"},{"id":"brokers/2","anchor":"brokers/2"},{"id":"in_service?/1","anchor":"in_service?/1"},{"id":"in_service?/2","anchor":"in_service?/2"},{"id":"new/1","anchor":"new/1"},{"id":"new!/1","anchor":"new!/1"},{"id":"next/2","anchor":"next/2"},{"id":"not_in_service_count/1","anchor":"not_in_service_count/1"},{"id":"not_in_service_count/2","anchor":"not_in_service_count/2"},{"id":"update/2","anchor":"update/2"},{"id":"update!/2","anchor":"update!/2"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"AntikytheraCore.TmpdirTracker","title":"AntikytheraCore.TmpdirTracker","group":"","functions":[{"id":"finished/0","anchor":"finished/0"},{"id":"request/1","anchor":"request/1"},{"id":"start_link/0","anchor":"start_link/0"}]},{"id":"AntikytheraCore.TmpdirTracker.State","title":"AntikytheraCore.TmpdirTracker.State","group":"","functions":[{"id":"gear_tmp_dir/1","anchor":"gear_tmp_dir/1"},{"id":"gear_tmp_dir/2","anchor":"gear_tmp_dir/2"},{"id":"map/1","anchor":"map/1"},{"id":"map/2","anchor":"map/2"},{"id":"new/1","anchor":"new/1"},{"id":"new!/1","anchor":"new!/1"},{"id":"update/2","anchor":"update/2"},{"id":"update!/2","anchor":"update!/2"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"AntikytheraCore.TmpdirTracker.State.Map","title":"AntikytheraCore.TmpdirTracker.State.Map","group":"","functions":[{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"AntikytheraCore.Version","title":"AntikytheraCore.Version","group":"","functions":[{"id":"current_version/1","anchor":"current_version/1"},{"id":"read_from_app_file/2","anchor":"read_from_app_file/2"}]},{"id":"AntikytheraCore.Version.Artifact","title":"AntikytheraCore.Version.Artifact","group":"","functions":[{"id":"copy_core_release_tgz/1","anchor":"copy_core_release_tgz/1"},{"id":"gears_dir/0","anchor":"gears_dir/0"},{"id":"unpack_gear_tgz/2","anchor":"unpack_gear_tgz/2"}]},{"id":"AntikytheraCore.Version.Core","title":"AntikytheraCore.Version.Core","group":"","functions":[{"id":"upgrade_to_next_version/0","anchor":"upgrade_to_next_version/0"}]},{"id":"AntikytheraCore.Version.Gear","title":"AntikytheraCore.Version.Gear","group":"","functions":[{"id":"install_gears_at_startup/1","anchor":"install_gears_at_startup/1"},{"id":"install_or_upgrade_to_next_version/1","anchor":"install_or_upgrade_to_next_version/1"}]},{"id":"AntikytheraCore.Version.History","title":"AntikytheraCore.Version.History","group":"","functions":[{"id":"all_deployable_gear_names/0","anchor":"all_deployable_gear_names/0"},{"id":"find_all_modified_history_files/1","anchor":"find_all_modified_history_files/1"},{"id":"latest_installable_gear_version/1","anchor":"latest_installable_gear_version/1"},{"id":"next_upgradable_version/2","anchor":"next_upgradable_version/2"}]},{"id":"AntikytheraCore.Version.History.Entry","title":"AntikytheraCore.Version.History.Entry","group":"","functions":[{"id":"canary?/1","anchor":"canary?/1"},{"id":"canary_target_hosts/1","anchor":"canary_target_hosts/1"},{"id":"canary_target_hosts/2","anchor":"canary_target_hosts/2"},{"id":"from_line/1","anchor":"from_line/1"},{"id":"installable?/1","anchor":"installable?/1"},{"id":"installable_until/1","anchor":"installable_until/1"},{"id":"installable_until/2","anchor":"installable_until/2"},{"id":"new/1","anchor":"new/1"},{"id":"new!/1","anchor":"new!/1"},{"id":"noupgrade/1","anchor":"noupgrade/1"},{"id":"noupgrade/2","anchor":"noupgrade/2"},{"id":"update/2","anchor":"update/2"},{"id":"update!/2","anchor":"update!/2"},{"id":"upgradable?/1","anchor":"upgradable?/1"},{"id":"valid?/1","anchor":"valid?/1"},{"id":"version/1","anchor":"version/1"},{"id":"version/2","anchor":"version/2"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"AntikytheraCore.VersionSynchronizer","title":"AntikytheraCore.VersionSynchronizer","group":"","functions":[{"id":"start_link/0","anchor":"start_link/0"}]},{"id":"AntikytheraCore.VersionUpgradeTaskQueue","title":"AntikytheraCore.VersionUpgradeTaskQueue","group":"","functions":[{"id":"core_updated/0","anchor":"core_updated/0"},{"id":"gear_updated/1","anchor":"gear_updated/1"},{"id":"start_link/0","anchor":"start_link/0"}]},{"id":"AntikytheraEal.AlertMailer","title":"AntikytheraEal.AlertMailer","group":""},{"id":"AntikytheraEal.AlertMailer.Behaviour","title":"AntikytheraEal.AlertMailer.Behaviour","group":"","callbacks":[{"id":"deliver/1","anchor":"c:deliver/1"}]},{"id":"AntikytheraEal.AlertMailer.Mail","title":"AntikytheraEal.AlertMailer.Mail","group":"","functions":[{"id":"body/1","anchor":"body/1"},{"id":"body/2","anchor":"body/2"},{"id":"from/1","anchor":"from/1"},{"id":"from/2","anchor":"from/2"},{"id":"new/1","anchor":"new/1"},{"id":"new!/1","anchor":"new!/1"},{"id":"subject/1","anchor":"subject/1"},{"id":"subject/2","anchor":"subject/2"},{"id":"to/1","anchor":"to/1"},{"id":"to/2","anchor":"to/2"},{"id":"update/2","anchor":"update/2"},{"id":"update!/2","anchor":"update!/2"},{"id":"valid?/1","anchor":"valid?/1"}],"types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"AntikytheraEal.AlertMailer.MemoryInbox","title":"AntikytheraEal.AlertMailer.MemoryInbox","group":"","functions":[{"id":"clean/0","anchor":"clean/0"},{"id":"get/0","anchor":"get/0"}]},{"id":"AntikytheraEal.AssetStorage","title":"AntikytheraEal.AssetStorage","group":""},{"id":"AntikytheraEal.AssetStorage.Behaviour","title":"AntikytheraEal.AssetStorage.Behaviour","group":"","callbacks":[{"id":"delete/1","anchor":"c:delete/1"},{"id":"list/1","anchor":"c:list/1"},{"id":"list_toplevel_prefixes/0","anchor":"c:list_toplevel_prefixes/0"},{"id":"upload/4","anchor":"c:upload/4"}]},{"id":"AntikytheraEal.AssetStorage.NoOp","title":"AntikytheraEal.AssetStorage.NoOp","group":""},{"id":"AntikytheraEal.ClusterConfiguration","title":"AntikytheraEal.ClusterConfiguration","group":""},{"id":"AntikytheraEal.ClusterConfiguration.Behaviour","title":"AntikytheraEal.ClusterConfiguration.Behaviour","group":"","callbacks":[{"id":"running_hosts/0","anchor":"c:running_hosts/0"},{"id":"zone_of_this_host/0","anchor":"c:zone_of_this_host/0"}]},{"id":"AntikytheraEal.ClusterConfiguration.StandAlone","title":"AntikytheraEal.ClusterConfiguration.StandAlone","group":""},{"id":"AntikytheraEal.ImplChooser","title":"AntikytheraEal.ImplChooser","group":"","functions":[{"id":"extract_impl_module/1","anchor":"extract_impl_module/1"},{"id":"make_vars/2","anchor":"make_vars/2"}]},{"id":"AntikytheraEal.LogStorage","title":"AntikytheraEal.LogStorage","group":""},{"id":"AntikytheraEal.LogStorage.Behaviour","title":"AntikytheraEal.LogStorage.Behaviour","group":"","callbacks":[{"id":"download_urls/1","anchor":"c:download_urls/1"},{"id":"list/2","anchor":"c:list/2"},{"id":"upload_rotated_logs/1","anchor":"c:upload_rotated_logs/1"}]},{"id":"AntikytheraEal.LogStorage.FileSystem","title":"AntikytheraEal.LogStorage.FileSystem","group":""},{"id":"AntikytheraEal.MetricsStorage","title":"AntikytheraEal.MetricsStorage","group":"","functions":[{"id":"save/2","anchor":"save/2"}],"types":[{"id":"metrics_per_unit/0","anchor":"t:metrics_per_unit/0"}]},{"id":"AntikytheraEal.MetricsStorage.Behaviour","title":"AntikytheraEal.MetricsStorage.Behaviour","group":"","callbacks":[{"id":"upload/3","anchor":"c:upload/3"}]},{"id":"AntikytheraEal.MetricsStorage.Memory","title":"AntikytheraEal.MetricsStorage.Memory","group":"","functions":[{"id":"download/4","anchor":"download/4"}]},{"id":"AntikytheraLocal.Cmd","title":"AntikytheraLocal.Cmd","group":"","functions":[{"id":"exec_and_output_log!/3","anchor":"exec_and_output_log!/3"}]},{"id":"AntikytheraLocal.NodeName","title":"AntikytheraLocal.NodeName","group":"","functions":[{"id":"get/0","anchor":"get/0"}]},{"id":"AntikytheraLocal.RunningEnvironment","title":"AntikytheraLocal.RunningEnvironment","group":"","functions":[{"id":"currently_running_os_process_ids/0","anchor":"currently_running_os_process_ids/0"},{"id":"prepare_new_version_of_core/1","anchor":"prepare_new_version_of_core/1"},{"id":"prepare_new_version_of_gear/2","anchor":"prepare_new_version_of_gear/2"},{"id":"setup/1","anchor":"setup/1"},{"id":"teardown/0","anchor":"teardown/0"},{"id":"unpacked_gears_dir/0","anchor":"unpacked_gears_dir/0"},{"id":"wait_until_upgrade_applied/2","anchor":"wait_until_upgrade_applied/2"}]},{"id":"AntikytheraLocal.StartScript","title":"AntikytheraLocal.StartScript","group":"","functions":[{"id":"run/2","anchor":"run/2"}]}],"tasks":[{"id":"Mix.Tasks.Antikythera.Gear.New","title":"antikythera.gear.new","group":"","functions":[{"id":"run/1","anchor":"run/1"}]},{"id":"Mix.Tasks.Antikythera.PrepareAssets","title":"antikythera.prepare_assets","group":"","functions":[{"id":"dump_asset_file_paths/0","anchor":"dump_asset_file_paths/0"},{"id":"run_command!/3","anchor":"run_command!/3"}]},{"id":"Mix.Tasks.Antikythera.PrintVersion","title":"antikythera.print_version","group":"","functions":[{"id":"run/1","anchor":"run/1"}]},{"id":"Mix.Tasks.AntikytheraCore.DeleteObsoleteAssets","title":"antikythera_core.delete_obsolete_assets","group":"","functions":[{"id":"run/1","anchor":"run/1"}]},{"id":"Mix.Tasks.AntikytheraCore.GenerateAppup","title":"antikythera_core.generate_appup","group":"","functions":[{"id":"run/1","anchor":"run/1"}]},{"id":"Mix.Tasks.AntikytheraCore.GenerateRelease","title":"antikythera_core.generate_release","group":"","functions":[{"id":"run/1","anchor":"run/1"}]},{"id":"Mix.Tasks.AntikytheraCore.UploadNewAssetVersions","title":"antikythera_core.upload_new_asset_versions","group":"","functions":[{"id":"run/1","anchor":"run/1"}]},{"id":"Mix.Tasks.AntikytheraLocal.PrepareCore","title":"antikythera_local.prepare_core","group":"","functions":[{"id":"run/1","anchor":"run/1"}]},{"id":"Mix.Tasks.AntikytheraLocal.PrepareGear","title":"antikythera_local.prepare_gear","group":"","functions":[{"id":"run/1","anchor":"run/1"}]},{"id":"Mix.Tasks.AntikytheraLocal.Start","title":"antikythera_local.start","group":"","functions":[{"id":"run/1","anchor":"run/1"}]},{"id":"Mix.Tasks.AntikytheraLocal.Stop","title":"antikythera_local.stop","group":"","functions":[{"id":"run/1","anchor":"run/1"}]},{"id":"Mix.Tasks.AntikytheraLocal.UpgradeCompatibilityTest","title":"antikythera_local.upgrade_compatibility_test","group":"","functions":[{"id":"run/1","anchor":"run/1"}]},{"id":"Mix.Tasks.AntikytheraLocal.UpgradeCompatibilityTest.WS","title":"antikythera_local.upgrade_compatibility_test.ws","group":"","functions":[{"id":"send_loop/0","anchor":"send_loop/0"}]},{"id":"Mix.Tasks.AntikytheraLocal.VersionUpgradeTest","title":"antikythera_local.version_upgrade_test","group":"","functions":[{"id":"check_application_configs/0","anchor":"check_application_configs/0"},{"id":"check_healthcheck_and_gear_endpoints/0","anchor":"check_healthcheck_and_gear_endpoints/0"},{"id":"check_new_version_is_applied/4","anchor":"check_new_version_is_applied/4"},{"id":"check_new_version_with_noupgrade_is_not_applied/4","anchor":"check_new_version_with_noupgrade_is_not_applied/4"},{"id":"check_repository_is_clean/1","anchor":"check_repository_is_clean/1"},{"id":"check_testgear_artifact_dirs/1","anchor":"check_testgear_artifact_dirs/1"},{"id":"check_version/2","anchor":"check_version/2"},{"id":"run/1","anchor":"run/1"}]},{"id":"Mix.Tasks.Compile.EnsureGearDependencies","title":"compile.ensure_gear_dependencies","group":""},{"id":"Mix.Tasks.Compile.GearStaticAnalysis","title":"compile.gear_static_analysis","group":"","functions":[{"id":"run/1","anchor":"run/1"}]},{"id":"Mix.Tasks.Compile.PropagateFileModifications","title":"compile.propagate_file_modifications","group":"","functions":[{"id":"run/1","anchor":"run/1"}]}]}